Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTom Schindl2016-06-07 14:21:06 -0400
committerTom Schindl2016-06-07 14:21:43 -0400
commite96eb98608199c2327f8488a6842748186bf0f21 (patch)
treea19e1b152764d10da81ecb0cebf74e41a9f68b21
parent8c947685547482abed11378c2cc9bbe7404accef (diff)
downloadorg.eclipse.efxclipse-e96eb98608199c2327f8488a6842748186bf0f21.tar.gz
org.eclipse.efxclipse-e96eb98608199c2327f8488a6842748186bf0f21.tar.xz
org.eclipse.efxclipse-e96eb98608199c2327f8488a6842748186bf0f21.zip
Upgrade version to 3.0.0
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/META-INF/MANIFEST.MF14
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/META-INF/MANIFEST.MF12
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc/META-INF/MANIFEST.MF4
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.asciidoc/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/META-INF/MANIFEST.MF16
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/META-INF/MANIFEST.MF24
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text/META-INF/MANIFEST.MF18
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration.text/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration/META-INF/MANIFEST.MF4
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.configuration/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.e4/META-INF/MANIFEST.MF20
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.e4/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx.e4/META-INF/MANIFEST.MF28
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx.e4/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx.themes/META-INF/MANIFEST.MF6
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx.themes/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx/META-INF/MANIFEST.MF40
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.fx/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs.contrib/META-INF/MANIFEST.MF14
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs.contrib/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs.themes/META-INF/MANIFEST.MF6
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs.themes/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs/META-INF/MANIFEST.MF2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.langs/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.ldef.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/code/org.eclipse.fx.code.editor.ldef.ui/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.ldef/META-INF/MANIFEST.MF26
-rw-r--r--bundles/code/org.eclipse.fx.code.editor.ldef/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.code.editor/META-INF/MANIFEST.MF16
-rw-r--r--bundles/code/org.eclipse.fx.code.editor/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.text.compat/META-INF/MANIFEST.MF2
-rw-r--r--bundles/code/org.eclipse.fx.text.compat/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.text.ui/META-INF/MANIFEST.MF32
-rw-r--r--bundles/code/org.eclipse.fx.text.ui/pom.xml2
-rw-r--r--bundles/code/org.eclipse.fx.text/META-INF/MANIFEST.MF8
-rw-r--r--bundles/code/org.eclipse.fx.text/pom.xml2
-rwxr-xr-xbundles/runtime/javax.annotation.jre/pom.xml2
-rwxr-xr-xbundles/runtime/javax.xml.jre/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.databinding.tests/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.databinding/META-INF/MANIFEST.MF4
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.databinding/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.di.context.tests/META-INF/MANIFEST.MF2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.di.context/META-INF/MANIFEST.MF18
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.di.context/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.di/META-INF/MANIFEST.MF8
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.di/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.fxml/META-INF/MANIFEST.MF4
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.fxml/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.guice/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.guice/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.log4j/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.log4j/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.p2/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.p2/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.core.slf4j/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core.slf4j/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core/META-INF/MANIFEST.MF24
-rwxr-xr-xbundles/runtime/org.eclipse.fx.core/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.emf.databinding/META-INF/MANIFEST.MF4
-rwxr-xr-xbundles/runtime/org.eclipse.fx.emf.databinding/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.emf.edit.ui/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.emf.edit.ui/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.formats.svg/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.formats.svg/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.javafx/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.osgi.util/META-INF/MANIFEST.MF8
-rwxr-xr-xbundles/runtime/org.eclipse.fx.osgi.util/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.osgi/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.osgi/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.animation/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.animation/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.controls/META-INF/MANIFEST.MF50
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.controls/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.databinding/META-INF/MANIFEST.MF13
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.databinding/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.di.interopt/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.di.interopt/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.di/META-INF/MANIFEST.MF12
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.di/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.dialogs/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.dialogs/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings.e4/META-INF/MANIFEST.MF10
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings.e4/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings.generic/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings.generic/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.keybindings/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.mobile/META-INF/MANIFEST.MF6
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.mobile/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.modelviewer/META-INF/MANIFEST.MF12
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.panes/META-INF/MANIFEST.MF4
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.panes/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.services/META-INF/MANIFEST.MF26
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.services/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.theme/META-INF/MANIFEST.MF12
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.theme/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.base/META-INF/MANIFEST.MF27
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.base/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.fx/META-INF/MANIFEST.MF52
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.fx/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/META-INF/MANIFEST.MF26
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/META-INF/MANIFEST.MF50
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/pom.xml2
-rw-r--r--bundles/runtime/org.eclipse.fx.ui.workbench.services/META-INF/MANIFEST.MF8
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench.services/pom.xml2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench3/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/runtime/org.eclipse.fx.ui.workbench3/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.converter/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.converter/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext.tests/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext.ui.debug/META-INF/MANIFEST.MF15
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext.ui/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.cssext/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.css.jfx2/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.jfx2/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.css.jfx8/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.jfx8/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.tests/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css.ui/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.css/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxgraph.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxgraph.ui/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxgraph/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxgraph/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.fxml.compiler/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxml.compiler/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxml/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.fxml/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.gmodel.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.gmodel.ui/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.gmodel/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.gmodel/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.java6/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.java6/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.jdt.core/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.jdt.core/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.jdt.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.jdt.ui/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.l10n.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.l10n.ui/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.l10n/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.l10n/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.model/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.model/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.pde.core/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.core/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.java7/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.java7/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.ui.e4/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.ui.e4/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.pde.ui/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.dsl.tests/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.dsl/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.dsl/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.model/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot.model/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.rrobot/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/pom.xml2
-rw-r--r--bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui.preview/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui.preview/pom.xml2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui/META-INF/MANIFEST.MF2
-rwxr-xr-xbundles/tooling/org.eclipse.fx.ide.ui/pom.xml2
-rw-r--r--releng/code/org.eclipse.fx.code.base.feature/pom.xml2
-rw-r--r--releng/code/org.eclipse.fx.code.langs.feature/pom.xml2
-rw-r--r--releng/code/org.eclipse.fx.code.target.feature/pom.xml2
-rw-r--r--releng/org.eclipse.fx.core.shared.updatesite/pom.xml2
-rwxr-xr-xreleng/org.eclipse.fx.ide.releng/pom.xml2
-rw-r--r--releng/org.eclipse.fx.ide.updatesite/pom.xml2
-rwxr-xr-xreleng/org.eclipse.fx.releng/pom.xml2
-rw-r--r--releng/org.eclipse.fx.runtime.doc/META-INF/MANIFEST.MF2
-rwxr-xr-xreleng/org.eclipse.fx.runtime.doc/pom.xml4
-rw-r--r--releng/org.eclipse.fx.shared.doc/META-INF/MANIFEST.MF2
-rwxr-xr-xreleng/org.eclipse.fx.shared.doc/pom.xml4
-rwxr-xr-xreleng/org.eclipse.fx.shared.releng/pom.xml3
-rw-r--r--releng/org.eclipse.fx.updatesite/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx..slf4j.target.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.core.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.core.shared.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.runtime.e4fx.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.runtime.e4fx.p2.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.runtime.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.runtime.min.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.swtfx.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.target.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.target.rcp.feature/pom.xml2
-rw-r--r--releng/runtime/org.eclipse.fx.target.rcp4.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.basic.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.converter.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.css.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.fxgraph.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.fxml.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.gmod.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.l10n.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.ldef.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.mobile.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.pde.feature/pom.xml2
-rw-r--r--releng/tooling/org.eclipse.fx.ide.rrobot.feature/pom.xml2
216 files changed, 560 insertions, 540 deletions
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/META-INF/MANIFEST.MF
index 0e3833bf2..a2fb757a2 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: E4
Bundle-SymbolicName: org.eclipse.fx.code.editor.asciidoc.fx.e4
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.100",
org.eclipse.e4.ui.workbench;bundle-version="1.3.0",
@@ -11,12 +11,12 @@ Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.100",
org.eclipse.e4.ui.di;bundle-version="1.1.0",
org.eclipse.e4.core.di;bundle-version="1.5.0"
Import-Package: javax.inject,
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.asciidoc;version="2.4.0",
- org.eclipse.fx.code.editor.fx.e4;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.asciidoc;version="3.0.0",
+ org.eclipse.fx.code.editor.fx.e4;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.asciidoc.fx.e4.AsciiDoctorEditorOpenerTypeProvider.xml
Bundle-ActivationPolicy: lazy
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/pom.xml b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/pom.xml
index bd1e408b6..026d196e6 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/META-INF/MANIFEST.MF
index d0c1fc77f..7bea5cf1f 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fx
Bundle-SymbolicName: org.eclipse.fx.code.editor.asciidoc.fx
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject,
org.eclipse.e4.core.di.annotations,
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.asciidoc;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
- org.eclipse.fx.core.preferences;version="2.4.0"
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.asciidoc;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
+ org.eclipse.fx.core.preferences;version="3.0.0"
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/pom.xml b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/pom.xml
index e6b9cbe48..da5c429a4 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc.fx/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.asciidoc/META-INF/MANIFEST.MF
index 0f88e5378..7ee693ec7 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc/META-INF/MANIFEST.MF
@@ -2,6 +2,6 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Asciidoc
Bundle-SymbolicName: org.eclipse.fx.code.editor.asciidoc
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.code.editor.asciidoc;version="2.4.0"
+Export-Package: org.eclipse.fx.code.editor.asciidoc;version="3.0.0"
diff --git a/bundles/code/org.eclipse.fx.code.editor.asciidoc/pom.xml b/bundles/code/org.eclipse.fx.code.editor.asciidoc/pom.xml
index 91a8ac95a..53ce3f3cd 100644
--- a/bundles/code/org.eclipse.fx.code.editor.asciidoc/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.asciidoc/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/META-INF/MANIFEST.MF
index d4b2cb3b3..4c7f6f2eb 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: E4
Bundle-SymbolicName: org.eclipse.fx.code.editor.configuration.text.e4
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.4.0"
-Import-Package: org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.configuration;version="2.4.0",
- org.eclipse.fx.code.editor.configuration.text;version="2.4.0",
- org.eclipse.fx.code.editor.e4;version="2.4.0",
- org.eclipse.fx.code.editor.fx.e4;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di.context;version="2.4.0",
+Import-Package: org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration.text;version="3.0.0",
+ org.eclipse.fx.code.editor.e4;version="3.0.0",
+ org.eclipse.fx.code.editor.fx.e4;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di.context;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.configuration.text.e4.ConfigurationModelCF.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.configuration.text.e4.DynamicScannerRuleCalculatorCF.xml
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/pom.xml b/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/pom.xml
index 027dbf872..9f4367da7 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/META-INF/MANIFEST.MF
index efdc8ff79..e9c82d31c 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fx
Bundle-SymbolicName: org.eclipse.fx.code.editor.configuration.text.fx
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.configuration;version="2.4.0",
- org.eclipse.fx.code.editor.configuration.text;version="2.4.0",
- org.eclipse.fx.code.editor.fx.services;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.text.rules;version="2.4.0",
- org.eclipse.fx.text.ui;version="2.4.0",
- org.eclipse.fx.text.ui.presentation;version="2.4.0",
- org.eclipse.fx.text.ui.rules;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration.text;version="3.0.0",
+ org.eclipse.fx.code.editor.fx.services;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.text.rules;version="3.0.0",
+ org.eclipse.fx.text.ui;version="3.0.0",
+ org.eclipse.fx.text.ui.presentation;version="3.0.0",
+ org.eclipse.fx.text.ui.rules;version="3.0.0",
org.eclipse.jface.text.rules,
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.configuration.text.fx.ConfigurationPresentationReconcilerTypeProvider.xml
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/pom.xml b/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/pom.xml
index 0d1f488ad..87186901e 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text.fx/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.configuration.text/META-INF/MANIFEST.MF
index 6edf0f1a3..d798c65f9 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text/META-INF/MANIFEST.MF
@@ -2,19 +2,19 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Text
Bundle-SymbolicName: org.eclipse.fx.code.editor.configuration.text
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.configuration;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.function;version="2.4.0",
- org.eclipse.fx.text.rules;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.function;version="3.0.0",
+ org.eclipse.fx.text.rules;version="3.0.0",
org.eclipse.jface.text.rules,
org.osgi.service.component.annotations;version="1.2.0"
Require-Bundle: org.eclipse.text;bundle-version="3.5.400"
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.configuration.text.internal.ConfigurationDocumentPartitionerProvider.xml
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.fx.code.editor.configuration.text;version="2.4.0"
+Export-Package: org.eclipse.fx.code.editor.configuration.text;version="3.0.0"
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration.text/pom.xml b/bundles/code/org.eclipse.fx.code.editor.configuration.text/pom.xml
index fec4be304..0e17e84a8 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration.text/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration.text/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.configuration/META-INF/MANIFEST.MF
index c04d6e5c4..8872fa20f 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Configuration
Bundle-SymbolicName: org.eclipse.fx.code.editor.configuration
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ClassPath: .
-Export-Package: org.eclipse.fx.code.editor.configuration;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.configuration;version="3.0.0";x-internal:=true
Require-Bundle: com.google.gson;bundle-version="2.2.4"
diff --git a/bundles/code/org.eclipse.fx.code.editor.configuration/pom.xml b/bundles/code/org.eclipse.fx.code.editor.configuration/pom.xml
index f27701169..4aff34c31 100644
--- a/bundles/code/org.eclipse.fx.code.editor.configuration/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.configuration/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.e4/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.e4/META-INF/MANIFEST.MF
index d05098a6d..833aad369 100644
--- a/bundles/code/org.eclipse.fx.code.editor.e4/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.e4/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic service APIs for an Editor into Eclipse 4
Bundle-SymbolicName: org.eclipse.fx.code.editor.e4
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Vendor: Eclipse.org
-Export-Package: org.eclipse.fx.code.editor.e4;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.e4.addons;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.e4.handlers;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.e4;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.e4.addons;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.e4.handlers;version="3.0.0";x-internal:=true
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.4.0",
org.eclipse.e4.core.di;bundle-version="1.5.0",
org.eclipse.text;bundle-version="3.5.400",
@@ -17,12 +17,12 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.4.0",
org.eclipse.e4.ui.di;bundle-version="1.1.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.di.context;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.di.context;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.e4.internal.DocumentPartitionerContextFunction.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.e4.internal.AnnotationModelContextFunction.xml,
diff --git a/bundles/code/org.eclipse.fx.code.editor.e4/pom.xml b/bundles/code/org.eclipse.fx.code.editor.e4/pom.xml
index f1f015ac5..f109db814 100644
--- a/bundles/code/org.eclipse.fx.code.editor.e4/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx.e4/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.fx.e4/META-INF/MANIFEST.MF
index 9b98e69d6..c63077723 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx.e4/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.fx.e4/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Integration the JavaFX code editor into Eclipse 4
Bundle-SymbolicName: org.eclipse.fx.code.editor.fx.e4
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.4.0",
@@ -15,18 +15,18 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.4.0",
org.eclipse.fx.text.ui,
org.eclipse.fx.ui.workbench.renderers.base
Import-Package: javax.inject,
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.e4;version="2.4.0",
- org.eclipse.fx.code.editor.fx.services;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.di.context;version="2.4.0",
- org.eclipse.fx.text.ui.presentation;version="2.4.0",
- org.eclipse.fx.text.ui.source;version="2.4.0",
- org.eclipse.fx.ui.workbench.base.rendering;version="2.4.0",
- org.eclipse.fx.ui.workbench.services;version="2.4.0",
- org.eclipse.fx.ui.workbench.services.lifecycle;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.e4;version="3.0.0",
+ org.eclipse.fx.code.editor.fx.services;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.di.context;version="3.0.0",
+ org.eclipse.fx.text.ui.presentation;version="3.0.0",
+ org.eclipse.fx.text.ui.source;version="3.0.0",
+ org.eclipse.fx.ui.workbench.base.rendering;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services.lifecycle;version="3.0.0",
org.osgi.service.component.annotations;resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.fx.e4.internal.SourceViewerConfigurationContextFunction.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.fx.e4.internal.PresentationReconcilerContextFunction.xml,
@@ -42,4 +42,4 @@ Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.fx.e4.internal.S
OSGI-INF/services/org.eclipse.fx.code.editor.fx.e4.internal.ContextInformationValidatorTypeProviderCF.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.fx.e4.internal.SnippetEditorPartTabContextMenuService.xml
Bundle-Vendor: Eclipse.org
-Export-Package: org.eclipse.fx.code.editor.fx.e4;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.fx.e4;version="3.0.0";x-internal:=true
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx.e4/pom.xml b/bundles/code/org.eclipse.fx.code.editor.fx.e4/pom.xml
index 2bbd1c544..74e1f8aa0 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx.e4/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.fx.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx.themes/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.fx.themes/META-INF/MANIFEST.MF
index 6e03fbf78..aa8cba32c 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx.themes/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.fx.themes/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic editor Themes
Bundle-SymbolicName: org.eclipse.fx.code.editor.fx.themes
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.fx.ui.services.theme;version="2.4.0",
+Import-Package: org.eclipse.fx.ui.services.theme;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.fx.themes.internal.DefaultEditorStylesheet.xml
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.fx.code.editor.fx.themes;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.fx.themes;version="3.0.0";x-internal:=true
Bundle-Vendor: Eclipse.org
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx.themes/pom.xml b/bundles/code/org.eclipse.fx.code.editor.fx.themes/pom.xml
index 26f724c90..439550fed 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx.themes/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.fx.themes/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.fx/META-INF/MANIFEST.MF
index e89e10ca3..0e51c8fbe 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.fx/META-INF/MANIFEST.MF
@@ -2,30 +2,30 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic editor APIs for JavaFX
Bundle-SymbolicName: org.eclipse.fx.code.editor.fx
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: com.google.common.collect;version="15.0.0",
javax.inject,
org.eclipse.e4.ui.di,
- org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
- org.eclipse.fx.core.preferences;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
+ org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
+ org.eclipse.fx.core.preferences;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
org.eclipse.fx.text.hover,
org.eclipse.fx.text.navigation,
- org.eclipse.fx.text.rules;version="2.4.0",
- org.eclipse.fx.text.ui;version="2.4.0",
- org.eclipse.fx.text.ui.contentassist;version="2.4.0",
- org.eclipse.fx.text.ui.presentation;version="2.4.0",
- org.eclipse.fx.text.ui.rules;version="2.4.0",
- org.eclipse.fx.text.ui.source;version="2.4.0",
- org.eclipse.fx.ui.controls.filesystem;version="2.4.0",
- org.eclipse.fx.ui.controls.styledtext;version="2.4.0",
- org.eclipse.fx.ui.controls.tree;version="2.4.0",
+ org.eclipse.fx.text.rules;version="3.0.0",
+ org.eclipse.fx.text.ui;version="3.0.0",
+ org.eclipse.fx.text.ui.contentassist;version="3.0.0",
+ org.eclipse.fx.text.ui.presentation;version="3.0.0",
+ org.eclipse.fx.text.ui.rules;version="3.0.0",
+ org.eclipse.fx.text.ui.source;version="3.0.0",
+ org.eclipse.fx.ui.controls.filesystem;version="3.0.0",
+ org.eclipse.fx.ui.controls.styledtext;version="3.0.0",
+ org.eclipse.fx.ui.controls.tree;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Require-Bundle: org.eclipse.e4.core.di.annotations;bundle-version="1.4.0",
org.eclipse.text;bundle-version="3.5.400",
@@ -34,6 +34,6 @@ Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.fx.services.inte
OSGI-INF/services/org.eclipse.fx.code.editor.fx.services.internal.NoHighlightPresentationReconcilerTypeProvider.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.fx.services.internal.SystemEditorFontProvider.xml
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.fx.code.editor.fx;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.fx.services;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.fx;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.fx.services;version="3.0.0";x-internal:=true
Bundle-Vendor: Eclipse.org
diff --git a/bundles/code/org.eclipse.fx.code.editor.fx/pom.xml b/bundles/code/org.eclipse.fx.code.editor.fx/pom.xml
index 695c13421..0c06c057c 100644
--- a/bundles/code/org.eclipse.fx.code.editor.fx/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.fx/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs.contrib/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.langs.contrib/META-INF/MANIFEST.MF
index a690655de..bff24d641 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs.contrib/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.langs.contrib/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Contrib
Bundle-SymbolicName: org.eclipse.fx.code.editor.langs.contrib
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.fx.code.editor;version="2.4.0",
- org.eclipse.fx.code.editor.configuration;version="2.4.0",
- org.eclipse.fx.code.editor.configuration.text;version="2.4.0",
- org.eclipse.fx.code.editor.services;version="2.4.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
+Import-Package: org.eclipse.fx.code.editor;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration;version="3.0.0",
+ org.eclipse.fx.code.editor.configuration.text;version="3.0.0",
+ org.eclipse.fx.code.editor.services;version="3.0.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.langs.contrib.LangsConfigurationModelProvider.xml
Bundle-ActivationPolicy: lazy
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs.contrib/pom.xml b/bundles/code/org.eclipse.fx.code.editor.langs.contrib/pom.xml
index c1861eeb7..84bb34116 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs.contrib/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.langs.contrib/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs.themes/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.langs.themes/META-INF/MANIFEST.MF
index 9d2bfe879..8c0e6c26c 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs.themes/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.langs.themes/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Themes
Bundle-SymbolicName: org.eclipse.fx.code.editor.langs.themes
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0",
+Import-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.langs.themes.DefaultEditorStylesheets.xml
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="2.0.100";resolution:=optional
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs.themes/pom.xml b/bundles/code/org.eclipse.fx.code.editor.langs.themes/pom.xml
index b4e5daade..9b60b78fd 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs.themes/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.langs.themes/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.langs/META-INF/MANIFEST.MF
index 31690b76c..c81640dd4 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.langs/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Various basic language definitions
Bundle-SymbolicName: org.eclipse.fx.code.editor.langs
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: org.osgi.service.component.annotations;version="[1.2.0,2.0.0)";resolution:=optional
Bundle-ActivationPolicy: lazy
diff --git a/bundles/code/org.eclipse.fx.code.editor.langs/pom.xml b/bundles/code/org.eclipse.fx.code.editor.langs/pom.xml
index 440230994..2bebc2737 100644
--- a/bundles/code/org.eclipse.fx.code.editor.langs/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.langs/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.ldef.ui/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.ldef.ui/META-INF/MANIFEST.MF
index 37931071d..0100e1bec 100644
--- a/bundles/code/org.eclipse.fx.code.editor.ldef.ui/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.ldef.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Language DSL Eclipse Editor
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.code.editor.ldef.ui; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.code.editor.ldef;bundle-version="2.3.0";visibility:=reexport,
diff --git a/bundles/code/org.eclipse.fx.code.editor.ldef.ui/pom.xml b/bundles/code/org.eclipse.fx.code.editor.ldef.ui/pom.xml
index faa4b52a4..130ad968d 100755
--- a/bundles/code/org.eclipse.fx.code.editor.ldef.ui/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.ldef.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor.ldef/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor.ldef/META-INF/MANIFEST.MF
index dc3ebc2e7..ad35575a8 100644
--- a/bundles/code/org.eclipse.fx.code.editor.ldef/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor.ldef/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Language Editor DSL
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.code.editor.ldef; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;visibility:=reexport,
@@ -17,16 +17,16 @@ Require-Bundle: org.eclipse.xtext;visibility:=reexport,
org.eclipse.fx.code.editor.configuration;bundle-version="2.3.0"
Import-Package: org.apache.log4j
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.code.editor.ldef;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.formatting;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.generator;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.lDef;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.lDef.impl;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.lDef.util;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.parser.antlr;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.parser.antlr.internal;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.scoping;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.serializer;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.services;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.ldef.validation;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor.ldef;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.formatting;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.generator;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.lDef;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.lDef.impl;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.lDef.util;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.parser.antlr;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.parser.antlr.internal;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.scoping;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.serializer;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.services;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.ldef.validation;version="3.0.0";x-internal:=true
diff --git a/bundles/code/org.eclipse.fx.code.editor.ldef/pom.xml b/bundles/code/org.eclipse.fx.code.editor.ldef/pom.xml
index c56aa0f53..fffb7f8b6 100644
--- a/bundles/code/org.eclipse.fx.code.editor.ldef/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor.ldef/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.code.editor/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.code.editor/META-INF/MANIFEST.MF
index eb06a29c9..6f5157460 100644
--- a/bundles/code/org.eclipse.fx.code.editor/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.code.editor/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic service APIs for an Editor
Bundle-SymbolicName: org.eclipse.fx.code.editor
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject,
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
- org.eclipse.fx.core.function;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
+ org.eclipse.fx.core.function;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
org.eclipse.fx.text.hover,
org.eclipse.fx.text.navigation,
org.eclipse.jface.text.rules,
org.osgi.service.component.annotations;version="1.2.0"
Require-Bundle: org.eclipse.text;bundle-version="3.5.400",
org.eclipse.e4.core.di.annotations;bundle-version="1.4.0"
-Export-Package: org.eclipse.fx.code.editor;version="2.4.0";x-internal:=true,
- org.eclipse.fx.code.editor.services;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.code.editor;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.code.editor.services;version="3.0.0";x-internal:=true
Bundle-ActivationPolicy: lazy
Service-Component: OSGI-INF/services/org.eclipse.fx.code.editor.services.internal.URLToPathAdapterProvider.xml,
OSGI-INF/services/org.eclipse.fx.code.editor.services.internal.FileInputTypeProvider.xml,
diff --git a/bundles/code/org.eclipse.fx.code.editor/pom.xml b/bundles/code/org.eclipse.fx.code.editor/pom.xml
index 4fdee7736..9b1c63547 100644
--- a/bundles/code/org.eclipse.fx.code.editor/pom.xml
+++ b/bundles/code/org.eclipse.fx.code.editor/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.text.compat/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.text.compat/META-INF/MANIFEST.MF
index 90923d56f..372f20ddf 100644
--- a/bundles/code/org.eclipse.fx.text.compat/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.text.compat/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Compat
Bundle-SymbolicName: org.eclipse.fx.text.compat
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.equinox.common;bundle-version="3.7.0",
org.eclipse.text;bundle-version="3.5.400"
diff --git a/bundles/code/org.eclipse.fx.text.compat/pom.xml b/bundles/code/org.eclipse.fx.text.compat/pom.xml
index c3541a1b6..56fcba1a9 100644
--- a/bundles/code/org.eclipse.fx.text.compat/pom.xml
+++ b/bundles/code/org.eclipse.fx.text.compat/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.text.ui/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.text.ui/META-INF/MANIFEST.MF
index af5d6b71f..8c89995ca 100644
--- a/bundles/code/org.eclipse.fx.text.ui/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.text.ui/META-INF/MANIFEST.MF
@@ -2,27 +2,27 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic JavaFX components
Bundle-SymbolicName: org.eclipse.fx.text.ui
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.text;bundle-version="3.5.300",
org.eclipse.jdt.annotation;bundle-version="2.0.0";resolution:=optional,
org.eclipse.equinox.common;bundle-version="3.7.0",
org.eclipse.fx.text.compat;bundle-version="2.3.0",
org.eclipse.core.commands;bundle-version="3.7.0"
-Export-Package: org.eclipse.fx.text.ui;version="2.4.0";x-internal:=true,
- org.eclipse.fx.text.ui.contentassist;version="2.4.0";x-internal:=true,
- org.eclipse.fx.text.ui.presentation;version="2.4.0";x-internal:=true,
- org.eclipse.fx.text.ui.reconciler;version="2.4.0";x-internal:=true,
- org.eclipse.fx.text.ui.rules;version="2.4.0";x-internal:=true,
- org.eclipse.fx.text.ui.source;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.text.ui;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.text.ui.contentassist;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.text.ui.presentation;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.text.ui.reconciler;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.text.ui.rules;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.text.ui.source;version="3.0.0";x-internal:=true
Bundle-Vendor: Eclipse.org
Import-Package: com.google.common.collect;version="15.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
- org.eclipse.fx.text.hover;version="2.4.0",
- org.eclipse.fx.text.navigation;version="2.4.0",
- org.eclipse.fx.ui.controls;version="2.4.0",
- org.eclipse.fx.ui.controls.list;version="2.4.0",
- org.eclipse.fx.ui.controls.styledtext;version="2.4.0",
- org.eclipse.fx.ui.controls.styledtext.events;version="2.4.0",
- org.eclipse.fx.ui.controls.styledtext.model;version="2.4.0"
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
+ org.eclipse.fx.text.hover;version="3.0.0",
+ org.eclipse.fx.text.navigation;version="3.0.0",
+ org.eclipse.fx.ui.controls;version="3.0.0",
+ org.eclipse.fx.ui.controls.list;version="3.0.0",
+ org.eclipse.fx.ui.controls.styledtext;version="3.0.0",
+ org.eclipse.fx.ui.controls.styledtext.events;version="3.0.0",
+ org.eclipse.fx.ui.controls.styledtext.model;version="3.0.0"
diff --git a/bundles/code/org.eclipse.fx.text.ui/pom.xml b/bundles/code/org.eclipse.fx.text.ui/pom.xml
index b517309ea..4297e59fb 100644
--- a/bundles/code/org.eclipse.fx.text.ui/pom.xml
+++ b/bundles/code/org.eclipse.fx.text.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/code/org.eclipse.fx.text/META-INF/MANIFEST.MF b/bundles/code/org.eclipse.fx.text/META-INF/MANIFEST.MF
index 0eaa5c479..05d8979f1 100644
--- a/bundles/code/org.eclipse.fx.text/META-INF/MANIFEST.MF
+++ b/bundles/code/org.eclipse.fx.text/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Basic Text extension
Bundle-SymbolicName: org.eclipse.fx.text
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.text.hover;version="2.4.0",
- org.eclipse.fx.text.navigation;version="2.4.0",
- org.eclipse.fx.text.rules;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.text.hover;version="3.0.0",
+ org.eclipse.fx.text.navigation;version="3.0.0",
+ org.eclipse.fx.text.rules;version="3.0.0";x-internal:=true
Require-Bundle: org.eclipse.text;bundle-version="3.5.300",
org.eclipse.equinox.common;bundle-version="3.6.200"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/code/org.eclipse.fx.text/pom.xml b/bundles/code/org.eclipse.fx.text/pom.xml
index a24a17f85..6b2fdae18 100644
--- a/bundles/code/org.eclipse.fx.text/pom.xml
+++ b/bundles/code/org.eclipse.fx.text/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/javax.annotation.jre/pom.xml b/bundles/runtime/javax.annotation.jre/pom.xml
index f9f507059..f83c05720 100755
--- a/bundles/runtime/javax.annotation.jre/pom.xml
+++ b/bundles/runtime/javax.annotation.jre/pom.xml
@@ -11,7 +11,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/javax.xml.jre/pom.xml b/bundles/runtime/javax.xml.jre/pom.xml
index d102828ae..e22383bf0 100755
--- a/bundles/runtime/javax.xml.jre/pom.xml
+++ b/bundles/runtime/javax.xml.jre/pom.xml
@@ -11,7 +11,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.databinding.tests/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.databinding.tests/META-INF/MANIFEST.MF
index f110b4368..1e7ad590c 100644
--- a/bundles/runtime/org.eclipse.fx.core.databinding.tests/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.databinding.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Tests
Bundle-SymbolicName: org.eclipse.fx.core.databinding.tests
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.junit;bundle-version="4.11.0",
org.eclipse.core.databinding;bundle-version="1.4.1",
diff --git a/bundles/runtime/org.eclipse.fx.core.databinding/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.databinding/META-INF/MANIFEST.MF
index fe80a36da..0f7c28c69 100755
--- a/bundles/runtime/org.eclipse.fx.core.databinding/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.databinding/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.core.databinding
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.databinding.observable;bundle-version="1.5.0",
org.eclipse.core.databinding.property;bundle-version="1.5.0",
org.eclipse.equinox.common;bundle-version="3.7.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.core.databinding;version="2.4.0"
+Export-Package: org.eclipse.fx.core.databinding;version="3.0.0"
Bundle-Vendor: %Bundle-Vendor
diff --git a/bundles/runtime/org.eclipse.fx.core.databinding/pom.xml b/bundles/runtime/org.eclipse.fx.core.databinding/pom.xml
index 439e35745..b5ec44a59 100755
--- a/bundles/runtime/org.eclipse.fx.core.databinding/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.databinding/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.di.context.tests/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.di.context.tests/META-INF/MANIFEST.MF
index 1111da612..a8d867f53 100644
--- a/bundles/runtime/org.eclipse.fx.core.di.context.tests/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.di.context.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Tests
Bundle-SymbolicName: org.eclipse.fx.core.di.context.tests
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.junit;bundle-version="4.11.0",
org.eclipse.fx.core.di;bundle-version="0.9.0",
diff --git a/bundles/runtime/org.eclipse.fx.core.di.context/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.di.context/META-INF/MANIFEST.MF
index c1061e9e9..85504f4c2 100644
--- a/bundles/runtime/org.eclipse.fx.core.di.context/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.di.context/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Context
Bundle-SymbolicName: org.eclipse.fx.core.di.context
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.3.0",
@@ -14,14 +14,14 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.3.0",
org.eclipse.equinox.preferences;bundle-version="3.5.300"
Import-Package: javax.annotation;version="1.1.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.core.preferences;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.core.preferences;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
org.osgi.framework;version="1.8.0"
Service-Component: OSGI-INF/services/*
-Export-Package: org.eclipse.fx.core.di.context;version="2.4.0"
+Export-Package: org.eclipse.fx.core.di.context;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.core.di.context/pom.xml b/bundles/runtime/org.eclipse.fx.core.di.context/pom.xml
index bfc191a20..5bfca9b93 100755
--- a/bundles/runtime/org.eclipse.fx.core.di.context/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.di.context/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.di/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.di/META-INF/MANIFEST.MF
index 7605c504b..bd2552029 100644
--- a/bundles/runtime/org.eclipse.fx.core.di/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.di/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Di
Bundle-SymbolicName: org.eclipse.fx.core.di
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Import-Package: javax.annotation;version="1.2.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0"
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.core.di;version="2.4.0"
+Export-Package: org.eclipse.fx.core.di;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.core.di/pom.xml b/bundles/runtime/org.eclipse.fx.core.di/pom.xml
index 791973395..0b8c31b8c 100755
--- a/bundles/runtime/org.eclipse.fx.core.di/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.di/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.fxml/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.fxml/META-INF/MANIFEST.MF
index ccf460e58..b46fd8c35 100644
--- a/bundles/runtime/org.eclipse.fx.core.fxml/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.fxml/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fxml
Bundle-SymbolicName: org.eclipse.fx.core.fxml
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="2.0.0";resolution:=optional
-Export-Package: org.eclipse.fx.core.fxml;version="2.4.0"
+Export-Package: org.eclipse.fx.core.fxml;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.core.fxml/pom.xml b/bundles/runtime/org.eclipse.fx.core.fxml/pom.xml
index 09ed9e154..8d8fd7aa8 100755
--- a/bundles/runtime/org.eclipse.fx.core.fxml/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.fxml/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.guice/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.guice/META-INF/MANIFEST.MF
index dc5580a06..a41fec9b3 100755
--- a/bundles/runtime/org.eclipse.fx.core.guice/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.guice/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.core.guice
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: com.google.inject;version="[1.3.0,2.0.0)",
com.google.inject.spi;version="[1.3.0,2.0.0)",
javax.inject;version="1.0.0",
- org.eclipse.fx.core.log;version="2.4.0",
+ org.eclipse.fx.core.log;version="3.0.0",
org.osgi.framework;version="1.8.0"
Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.fx.core.guice;version="2.4.0"
+Export-Package: org.eclipse.fx.core.guice;version="3.0.0"
diff --git a/bundles/runtime/org.eclipse.fx.core.guice/pom.xml b/bundles/runtime/org.eclipse.fx.core.guice/pom.xml
index ae57ae3b0..ae8595ed8 100755
--- a/bundles/runtime/org.eclipse.fx.core.guice/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.guice/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.log4j/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.log4j/META-INF/MANIFEST.MF
index c08c6b087..1ca912d08 100755
--- a/bundles/runtime/org.eclipse.fx.core.log4j/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.log4j/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.core.log4j
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.core.log4j.Log4JLoggerFactory.xml
Import-Package: javax.inject;version="1.0.0",
org.apache.log4j;version="1.2.15",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0"
Bundle-Vendor: %Bundle-Vendor
diff --git a/bundles/runtime/org.eclipse.fx.core.log4j/pom.xml b/bundles/runtime/org.eclipse.fx.core.log4j/pom.xml
index 5ec829f93..f64961b75 100755
--- a/bundles/runtime/org.eclipse.fx.core.log4j/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.log4j/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.p2/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.p2/META-INF/MANIFEST.MF
index 3ab71751d..ec9ce24e4 100755
--- a/bundles/runtime/org.eclipse.fx.core.p2/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.p2/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: P2
Bundle-SymbolicName: org.eclipse.fx.core.p2
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Import-Package: org.eclipse.equinox.p2.core;version="2.0.0",
org.eclipse.equinox.p2.operations;version="2.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.core.operation;version="2.4.0",
- org.eclipse.fx.core.update;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.core.operation;version="3.0.0",
+ org.eclipse.fx.core.update;version="3.0.0",
org.osgi.framework;version="1.3.0",
org.osgi.service.component.annotations;version="1.2.0"
Require-Bundle: org.eclipse.core.jobs,
diff --git a/bundles/runtime/org.eclipse.fx.core.p2/pom.xml b/bundles/runtime/org.eclipse.fx.core.p2/pom.xml
index 827fc0c55..538665b0a 100755
--- a/bundles/runtime/org.eclipse.fx.core.p2/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.p2/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core.slf4j/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core.slf4j/META-INF/MANIFEST.MF
index 98424aa93..e0e51518b 100644
--- a/bundles/runtime/org.eclipse.fx.core.slf4j/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core.slf4j/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.core.slf4j
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Service-Component: OSGI-INF/slf4jlogger.xml
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
org.slf4j;version="1.7.2"
Bundle-Vendor: %Bundle-Vendor
diff --git a/bundles/runtime/org.eclipse.fx.core.slf4j/pom.xml b/bundles/runtime/org.eclipse.fx.core.slf4j/pom.xml
index 326ce34fb..25b02176c 100755
--- a/bundles/runtime/org.eclipse.fx.core.slf4j/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core.slf4j/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.core/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.core/META-INF/MANIFEST.MF
index 3123e465b..278ecf259 100755
--- a/bundles/runtime/org.eclipse.fx.core/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.core/META-INF/MANIFEST.MF
@@ -2,24 +2,24 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.core
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.annotation;resolution:=optional,
javax.inject;version="1.0.0",
org.apache.commons.lang.text;version="2.6.0",
org.osgi.framework;version="1.8.0";resolution:=optional,
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
-Export-Package: org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0",
- org.eclipse.fx.core.command;version="2.4.0",
- org.eclipse.fx.core.event;version="2.4.0",
- org.eclipse.fx.core.function;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.core.operation;version="2.4.0",
- org.eclipse.fx.core.preferences;version="2.4.0",
- org.eclipse.fx.core.property;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
- org.eclipse.fx.core.update;version="2.4.0"
+Export-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0",
+ org.eclipse.fx.core.command;version="3.0.0",
+ org.eclipse.fx.core.event;version="3.0.0",
+ org.eclipse.fx.core.function;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.core.operation;version="3.0.0",
+ org.eclipse.fx.core.preferences;version="3.0.0",
+ org.eclipse.fx.core.property;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
+ org.eclipse.fx.core.update;version="3.0.0"
Bundle-Vendor: %Bundle-Vendor
Service-Component: OSGI-INF/services/org.eclipse.fx.core.internal.JAXBObjectSerializer.xml,
OSGI-INF/services/org.eclipse.fx.core.internal.JUtilLoggerFactory.xml,
diff --git a/bundles/runtime/org.eclipse.fx.core/pom.xml b/bundles/runtime/org.eclipse.fx.core/pom.xml
index 184924fd8..0dc0bf18f 100755
--- a/bundles/runtime/org.eclipse.fx.core/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.core/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.emf.databinding/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.emf.databinding/META-INF/MANIFEST.MF
index 534012886..bbd58344a 100755
--- a/bundles/runtime/org.eclipse.fx.emf.databinding/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.emf.databinding/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: EMF Databinding for JavaFX
Bundle-SymbolicName: org.eclipse.fx.emf.databinding
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: org.osgi.framework;version="1.3.0"
Require-Bundle: org.eclipse.emf.edit;bundle-version="2.7.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.emf.databinding.edit;version="2.4.0"
+Export-Package: org.eclipse.fx.emf.databinding.edit;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.emf.databinding/pom.xml b/bundles/runtime/org.eclipse.fx.emf.databinding/pom.xml
index 45ac46f72..45a5f053d 100755
--- a/bundles/runtime/org.eclipse.fx.emf.databinding/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.emf.databinding/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.emf.edit.ui/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.emf.edit.ui/META-INF/MANIFEST.MF
index 6f883247b..27c36b839 100755
--- a/bundles/runtime/org.eclipse.fx.emf.edit.ui/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.emf.edit.ui/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: EMF Edit UI for JavaFX
Bundle-SymbolicName: org.eclipse.fx.emf.edit.ui
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.emf.edit;bundle-version="2.7.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.emf.edit.ui;version="2.4.0",
- org.eclipse.fx.emf.edit.ui.dnd;version="2.4.0"
+Export-Package: org.eclipse.fx.emf.edit.ui;version="3.0.0",
+ org.eclipse.fx.emf.edit.ui.dnd;version="3.0.0"
Bundle-Vendor: Eclipse.org
-Import-Package: org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.ui.controls.tree;version="2.4.0"
+Import-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.ui.controls.tree;version="3.0.0"
diff --git a/bundles/runtime/org.eclipse.fx.emf.edit.ui/pom.xml b/bundles/runtime/org.eclipse.fx.emf.edit.ui/pom.xml
index 8b954582d..18f7426b4 100755
--- a/bundles/runtime/org.eclipse.fx.emf.edit.ui/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.emf.edit.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.formats.svg/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.formats.svg/META-INF/MANIFEST.MF
index e9dd56720..26cd19d4e 100755
--- a/bundles/runtime/org.eclipse.fx.formats.svg/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.formats.svg/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.fx.formats.svg;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/bundles/runtime/org.eclipse.fx.formats.svg/pom.xml b/bundles/runtime/org.eclipse.fx.formats.svg/pom.xml
index 5811f6dc9..dbec109ad 100755
--- a/bundles/runtime/org.eclipse.fx.formats.svg/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.formats.svg/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.javafx/pom.xml b/bundles/runtime/org.eclipse.fx.javafx/pom.xml
index 2b85f9607..6e0086f54 100755
--- a/bundles/runtime/org.eclipse.fx.javafx/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.javafx/pom.xml
@@ -11,7 +11,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.osgi.util/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.osgi.util/META-INF/MANIFEST.MF
index 075e8d461..9ab666d79 100755
--- a/bundles/runtime/org.eclipse.fx.osgi.util/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.osgi.util/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.osgi.util
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.inject;version="1.0.0",
org.eclipse.equinox.app;version="1.1.0";resolution:=optional,
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.databinding;version="2.4.0";resolution:=optional,
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.databinding;version="3.0.0";resolution:=optional,
org.osgi.framework;version="1.6.0",
org.osgi.framework.wiring;version="1.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional,
org.osgi.service.event;version="1.3.0";resolution:=optional,
org.osgi.service.url;version="1.0.0"
-Export-Package: org.eclipse.fx.osgi.util;version="2.4.0"
+Export-Package: org.eclipse.fx.osgi.util;version="3.0.0"
Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional,
org.eclipse.core.databinding.observable;bundle-version="1.4.1";resolution:=optional,
diff --git a/bundles/runtime/org.eclipse.fx.osgi.util/pom.xml b/bundles/runtime/org.eclipse.fx.osgi.util/pom.xml
index 3fb589732..b55dc359a 100755
--- a/bundles/runtime/org.eclipse.fx.osgi.util/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.osgi.util/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.osgi/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.osgi/META-INF/MANIFEST.MF
index 7db5c8f41..af390dd66 100755
--- a/bundles/runtime/org.eclipse.fx.osgi/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.osgi/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.osgi
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Fragment-Host: org.eclipse.osgi;bundle-version="3.10.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Vendor: %Bundle-Vendor
diff --git a/bundles/runtime/org.eclipse.fx.osgi/pom.xml b/bundles/runtime/org.eclipse.fx.osgi/pom.xml
index 98f02e995..2e3856de0 100755
--- a/bundles/runtime/org.eclipse.fx.osgi/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.osgi/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.animation/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.animation/META-INF/MANIFEST.MF
index 3ed2d51c8..290783f0f 100755
--- a/bundles/runtime/org.eclipse.fx.ui.animation/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.animation/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Animationutils
Bundle-SymbolicName: org.eclipse.fx.ui.animation;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse.org
-Export-Package: org.eclipse.fx.ui.animation;version="2.4.0",
- org.eclipse.fx.ui.animation.morph;version="2.4.0",
- org.eclipse.fx.ui.animation.pagetransition;version="2.4.0",
- org.eclipse.fx.ui.animation.pagetransition.animation;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.animation;version="3.0.0",
+ org.eclipse.fx.ui.animation.morph;version="3.0.0",
+ org.eclipse.fx.ui.animation.pagetransition;version="3.0.0",
+ org.eclipse.fx.ui.animation.pagetransition.animation;version="3.0.0"
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
diff --git a/bundles/runtime/org.eclipse.fx.ui.animation/pom.xml b/bundles/runtime/org.eclipse.fx.ui.animation/pom.xml
index cac0aa9b8..0ee11f85b 100755
--- a/bundles/runtime/org.eclipse.fx.ui.animation/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.animation/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.controls/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.controls/META-INF/MANIFEST.MF
index d1e94c1b5..6696e0632 100644
--- a/bundles/runtime/org.eclipse.fx.ui.controls/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.controls/META-INF/MANIFEST.MF
@@ -2,38 +2,38 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Controls
Bundle-SymbolicName: org.eclipse.fx.ui.controls
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.ui.controls;version="2.4.0",
- org.eclipse.fx.ui.controls.dialog;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.dnd;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.controls.filesystem;version="2.4.0",
- org.eclipse.fx.ui.controls.form;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.image;version="2.4.0",
- org.eclipse.fx.ui.controls.list;version="2.4.0",
- org.eclipse.fx.ui.controls.markers;version="2.4.0",
- org.eclipse.fx.ui.controls.media;version="2.4.0",
- org.eclipse.fx.ui.controls.paint;version="2.4.0",
- org.eclipse.fx.ui.controls.sceneviewer;version="2.4.0",
- org.eclipse.fx.ui.controls.stage;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.controls.styledtext;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.styledtext.behavior;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.styledtext.events;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.styledtext.model;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.controls.styledtext.skin;version="2.4.0";x-internal:=true,
+Export-Package: org.eclipse.fx.ui.controls;version="3.0.0",
+ org.eclipse.fx.ui.controls.dialog;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.dnd;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.controls.filesystem;version="3.0.0",
+ org.eclipse.fx.ui.controls.form;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.image;version="3.0.0",
+ org.eclipse.fx.ui.controls.list;version="3.0.0",
+ org.eclipse.fx.ui.controls.markers;version="3.0.0",
+ org.eclipse.fx.ui.controls.media;version="3.0.0",
+ org.eclipse.fx.ui.controls.paint;version="3.0.0",
+ org.eclipse.fx.ui.controls.sceneviewer;version="3.0.0",
+ org.eclipse.fx.ui.controls.stage;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.controls.styledtext;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.styledtext.behavior;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.styledtext.events;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.styledtext.model;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.controls.styledtext.skin;version="3.0.0";x-internal:=true,
org.eclipse.fx.ui.controls.table,
- org.eclipse.fx.ui.controls.tabpane;version="2.4.0",
- org.eclipse.fx.ui.controls.tree;version="2.4.0",
- org.eclipse.fx.ui.controls.vectorgraphics;version="2.4.0"
+ org.eclipse.fx.ui.controls.tabpane;version="3.0.0",
+ org.eclipse.fx.ui.controls.tree;version="3.0.0",
+ org.eclipse.fx.ui.controls.vectorgraphics;version="3.0.0"
Bundle-ActivationPolicy: lazy
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.controls.styledtext.UnderlineStrategyFactory.xml,
OSGI-INF/services/org.eclipse.fx.ui.controls.image.fontawesome.FontAwesomeIconFontProvider.xml,
OSGI-INF/services/org.eclipse.fx.ui.controls.form.GraphicDecorator.xml
Bundle-Vendor: Eclipse.org
Import-Package: com.google.common.collect;version="15.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.property;version="2.4.0",
- org.eclipse.fx.core.text;version="2.4.0",
- org.eclipse.fx.ui.panes;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.property;version="3.0.0",
+ org.eclipse.fx.core.text;version="3.0.0",
+ org.eclipse.fx.ui.panes;version="3.0.0",
org.osgi.service.component.annotations;resolution:=optional
diff --git a/bundles/runtime/org.eclipse.fx.ui.controls/pom.xml b/bundles/runtime/org.eclipse.fx.ui.controls/pom.xml
index 44ac73cce..d06be6d38 100755
--- a/bundles/runtime/org.eclipse.fx.ui.controls/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.controls/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.databinding/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.databinding/META-INF/MANIFEST.MF
index 06376b46e..57a0892e2 100644
--- a/bundles/runtime/org.eclipse.fx.ui.databinding/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.databinding/META-INF/MANIFEST.MF
@@ -2,13 +2,16 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Databinding
Bundle-SymbolicName: org.eclipse.fx.ui.databinding
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.databinding.observable;bundle-version="1.4.1",
org.eclipse.core.databinding.property,
org.eclipse.core.databinding,
- org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.ui.databinding;version="2.4.0",
- org.eclipse.fx.ui.databinding.converters;version="2.4.0"
+ org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional,
+ org.eclipse.equinox.common;bundle-version="3.7.0"
+Export-Package: org.eclipse.fx.ui.databinding;version="3.0.0",
+ org.eclipse.fx.ui.databinding.converters;version="3.0.0"
Bundle-Vendor: Eclipse.org
-Import-Package: org.eclipse.fx.core.databinding;version="2.4.0"
+Import-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.databinding;version="3.0.0",
+ org.eclipse.fx.ui.controls.form;version="3.0.0"
diff --git a/bundles/runtime/org.eclipse.fx.ui.databinding/pom.xml b/bundles/runtime/org.eclipse.fx.ui.databinding/pom.xml
index bec7f4c48..2c4492e14 100755
--- a/bundles/runtime/org.eclipse.fx.ui.databinding/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.databinding/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.di.interopt/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.di.interopt/META-INF/MANIFEST.MF
index ad9abe39e..4a7283f8b 100644
--- a/bundles/runtime/org.eclipse.fx.ui.di.interopt/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.di.interopt/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Interopt
Bundle-SymbolicName: org.eclipse.fx.ui.di.interopt
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.swt;bundle-version="3.100.1";resolution:=optional,
org.eclipse.e4.core.contexts;bundle-version="1.2.0",
@@ -15,9 +15,9 @@ Service-Component: OSGI-INF/services/org.eclipse.fx.ui.di.interopt.UISynchronize
OSGI-INF/services/org.eclipse.fx.ui.di.interopt.InteroptContextFunction.xml,
OSGI-INF/services/org.eclipse.fx.ui.di.interopt.CommandServiceImplCF.xml
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.command;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0";resolution:=optional,
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.command;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0";resolution:=optional,
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.ui.di.interopt/pom.xml b/bundles/runtime/org.eclipse.fx.ui.di.interopt/pom.xml
index f1426cec8..d0ca2b3d6 100755
--- a/bundles/runtime/org.eclipse.fx.ui.di.interopt/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.di.interopt/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.di/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.di/META-INF/MANIFEST.MF
index b461b970f..760021a86 100755
--- a/bundles/runtime/org.eclipse.fx.ui.di/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.di/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ui.di
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.e4.core.contexts;bundle-version="0.9.0",
org.eclipse.e4.core.di;bundle-version="0.9.0",
@@ -11,13 +11,13 @@ Require-Bundle: org.eclipse.core.runtime,
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.annotation;version="1.0.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.fxml;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.osgi.util;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.fxml;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.osgi.util;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0"
Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.fx.ui.di;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.di;version="3.0.0"
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.di.internal.ResourcePoolFactory.xml,
OSGI-INF/services/org.eclipse.fx.ui.di.internal.FXMLLoaderSupplier.xml,
OSGI-INF/services/org.eclipse.fx.ui.di.internal.ResourceServiceImpl.xml
diff --git a/bundles/runtime/org.eclipse.fx.ui.di/pom.xml b/bundles/runtime/org.eclipse.fx.ui.di/pom.xml
index 9e65d153c..339d78f3d 100755
--- a/bundles/runtime/org.eclipse.fx.ui.di/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.di/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.dialogs/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.dialogs/META-INF/MANIFEST.MF
index d49c0f2cd..1c5b389e5 100755
--- a/bundles/runtime/org.eclipse.fx.ui.dialogs/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.dialogs/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Dialogs
Bundle-SymbolicName: org.eclipse.fx.ui.dialogs
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.ui.dialogs;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.dialogs;version="3.0.0"
Bundle-Vendor: Eclipse.org
-Import-Package: org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.ui.controls.stage;version="2.4.0",
- org.eclipse.fx.ui.panes;version="2.4.0"
+Import-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.ui.controls.stage;version="3.0.0",
+ org.eclipse.fx.ui.panes;version="3.0.0"
diff --git a/bundles/runtime/org.eclipse.fx.ui.dialogs/pom.xml b/bundles/runtime/org.eclipse.fx.ui.dialogs/pom.xml
index aa1670b70..91d6fcd95 100755
--- a/bundles/runtime/org.eclipse.fx.ui.dialogs/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.dialogs/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/META-INF/MANIFEST.MF
index 465a84784..c7618a19d 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: E4
Bundle-SymbolicName: org.eclipse.fx.ui.keybindings.e4
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.core.di;bundle-version="1.1.0",
@@ -16,9 +16,9 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Import-Package: javax.annotation;version="1.2.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.keybindings.service;version="2.4.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.service;version="3.0.0",
org.osgi.service.event;version="1.3.1"
-Export-Package: org.eclipse.fx.ui.keybindings.e4;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.keybindings.e4;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/pom.xml b/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/pom.xml
index 8a5d98be4..5dc9de950 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/META-INF/MANIFEST.MF
index 3f16e23ab..e9dfbc33b 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Generic
Bundle-SymbolicName: org.eclipse.fx.ui.keybindings.generic
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.core.commands;bundle-version="3.6.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.keybindings.generic.BindingFactoryImpl.xml
Bundle-Vendor: Eclipse.org
-Import-Package: org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.keybindings.service;version="2.4.0",
+Import-Package: org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.service;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/pom.xml b/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/pom.xml
index dbf7da85f..461207396 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings.generic/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.keybindings/META-INF/MANIFEST.MF
index 4ecb8ea41..de1edf4fc 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Bindings
Bundle-SymbolicName: org.eclipse.fx.ui.keybindings
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.core.commands;bundle-version="3.6.0",
@@ -11,6 +11,6 @@ Require-Bundle: org.eclipse.core.commands;bundle-version="3.6.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Import-Package: javax.annotation;version="1.0.0";resolution:=optional,
javax.inject;version="1.0.0"
-Export-Package: org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.keybindings.service;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.service;version="3.0.0"
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.ui.keybindings/pom.xml b/bundles/runtime/org.eclipse.fx.ui.keybindings/pom.xml
index f5cfa36a2..1e0ab25d4 100755
--- a/bundles/runtime/org.eclipse.fx.ui.keybindings/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.keybindings/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.mobile/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.mobile/META-INF/MANIFEST.MF
index 2e9f28fad..2d82b7afa 100644
--- a/bundles/runtime/org.eclipse.fx.ui.mobile/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.mobile/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Mobile
Bundle-SymbolicName: org.eclipse.fx.ui.mobile
-Bundle-Version: 2.4.0.qualifier
-Export-Package: org.eclipse.fx.ui.mobile;version="2.4.0",
- org.eclipse.fx.ui.mobile.animations;version="2.4.0"
+Bundle-Version: 3.0.0.qualifier
+Export-Package: org.eclipse.fx.ui.mobile;version="3.0.0",
+ org.eclipse.fx.ui.mobile.animations;version="3.0.0"
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: Eclipse.org
diff --git a/bundles/runtime/org.eclipse.fx.ui.mobile/pom.xml b/bundles/runtime/org.eclipse.fx.ui.mobile/pom.xml
index c8204ee76..a9b04912f 100755
--- a/bundles/runtime/org.eclipse.fx.ui.mobile/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.mobile/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.modelviewer/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.modelviewer/META-INF/MANIFEST.MF
index c1e3850fa..26c82b5de 100644
--- a/bundles/runtime/org.eclipse.fx.ui.modelviewer/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.modelviewer/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Modelviewer
Bundle-SymbolicName: org.eclipse.fx.ui.modelviewer;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Import-Package: javax.annotation;version="1.1.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core.databinding;version="2.3.0",
- org.eclipse.fx.core.di;version="2.3.0",
- org.eclipse.fx.core.log;version="2.3.0",
- org.eclipse.fx.ui.databinding;version="2.3.0"
+ org.eclipse.fx.core.databinding;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.databinding;version="3.0.0"
Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.0.1",
org.eclipse.core.databinding;bundle-version="1.4.1",
org.eclipse.core.databinding.observable;bundle-version="1.4.1",
@@ -18,7 +18,7 @@ Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.0.1",
org.eclipse.emf.databinding;bundle-version="1.3.0",
org.eclipse.emf.databinding.edit;bundle-version="1.3.0",
org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
-Export-Package: org.eclipse.fx.ui.modelviewer;version="2.3.0"
+Export-Package: org.eclipse.fx.ui.modelviewer;version="3.0.0"
Service-Component: OSGI-INF/services/registry.xml,
OSGI-INF/services/defaultDelegates.xml
Bundle-ActivationPolicy: lazy
diff --git a/bundles/runtime/org.eclipse.fx.ui.panes/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.panes/META-INF/MANIFEST.MF
index 7f7e3f4e3..35e3cc892 100755
--- a/bundles/runtime/org.eclipse.fx.ui.panes/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.panes/META-INF/MANIFEST.MF
@@ -2,8 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ui.panes
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.fx.ui.panes;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.panes;version="3.0.0"
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional
diff --git a/bundles/runtime/org.eclipse.fx.ui.panes/pom.xml b/bundles/runtime/org.eclipse.fx.ui.panes/pom.xml
index 61aa6a690..38568ed85 100755
--- a/bundles/runtime/org.eclipse.fx.ui.panes/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.panes/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.services/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.services/META-INF/MANIFEST.MF
index 29693beb1..17bc5c712 100755
--- a/bundles/runtime/org.eclipse.fx.ui.services/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.services/META-INF/MANIFEST.MF
@@ -2,22 +2,22 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ui.services
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.ui.services;version="2.4.0",
- org.eclipse.fx.ui.services.commands;version="2.4.0",
- org.eclipse.fx.ui.services.dialog;version="2.4.0",
- org.eclipse.fx.ui.services.resources;version="2.4.0",
- org.eclipse.fx.ui.services.restart;version="2.4.0",
- org.eclipse.fx.ui.services.startup;version="2.4.0",
- org.eclipse.fx.ui.services.sync;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.services;version="3.0.0",
+ org.eclipse.fx.ui.services.commands;version="3.0.0",
+ org.eclipse.fx.ui.services.dialog;version="3.0.0",
+ org.eclipse.fx.ui.services.resources;version="3.0.0",
+ org.eclipse.fx.ui.services.restart;version="3.0.0",
+ org.eclipse.fx.ui.services.startup;version="3.0.0",
+ org.eclipse.fx.ui.services.sync;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0"
Bundle-Vendor: %Bundle-Vendor
Import-Package: javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.ui.controls;version="2.4.0",
- org.eclipse.fx.ui.controls.image;version="2.4.0",
- org.eclipse.fx.ui.controls.stage;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.ui.controls;version="3.0.0",
+ org.eclipse.fx.ui.controls.image;version="3.0.0",
+ org.eclipse.fx.ui.controls.stage;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0"
Require-Bundle: org.eclipse.jdt.annotation;bundle-version="[2.0.0,3.0.0)";resolution:=optional,
org.eclipse.core.runtime;bundle-version="3.10.0";resolution:=optional
diff --git a/bundles/runtime/org.eclipse.fx.ui.services/pom.xml b/bundles/runtime/org.eclipse.fx.ui.services/pom.xml
index 7cdbc861e..ba07fd1d7 100755
--- a/bundles/runtime/org.eclipse.fx.ui.services/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.services/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.theme/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.theme/META-INF/MANIFEST.MF
index d6b7c734c..4ed90b813 100755
--- a/bundles/runtime/org.eclipse.fx.ui.theme/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.theme/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ui.theme;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ui.theme.internal.Activator
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.jdt.annotation;bundle-version="1.1.0";resolution:=optional
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.theme.internal.DefaultThemeManager.xml
-Import-Package: org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.services;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0",
+Import-Package: org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.services;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional,
org.osgi.service.event;version="1.3.0"
Bundle-Vendor: %Bundle-Vendor
-Export-Package: org.eclipse.fx.ui.theme;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.theme;version="3.0.0"
diff --git a/bundles/runtime/org.eclipse.fx.ui.theme/pom.xml b/bundles/runtime/org.eclipse.fx.ui.theme/pom.xml
index 8713566ce..e6646e4ec 100755
--- a/bundles/runtime/org.eclipse.fx.ui.theme/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.theme/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.base/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench.base/META-INF/MANIFEST.MF
index 4c0cf8e46..f3c40516e 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.base/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.base/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Base
Bundle-SymbolicName: org.eclipse.fx.ui.workbench.base
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.ui.model.workbench;bundle-version="0.10.1",
@@ -20,20 +20,21 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.core.di.extensions,
org.eclipse.e4.core.commands,
org.eclipse.core.commands;bundle-version="3.6.100",
- org.eclipse.emf.ecore.xmi;bundle-version="2.11.0"
-Export-Package: org.eclipse.fx.ui.workbench.base;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.fx,org.eclipse.fx.ui.workbench.renderers.fx,org.eclipse.fx.ui.workbench.renderers.base",
- org.eclipse.fx.ui.workbench.base.rendering;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.fx,org.eclipse.fx.ui.workbench.renderers.fx,org.eclipse.fx.ui.workbench.renderers.base"
+ org.eclipse.emf.ecore.xmi;bundle-version="2.11.0",
+ org.eclipse.fx.core
+Export-Package: org.eclipse.fx.ui.workbench.base;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.fx,org.eclipse.fx.ui.workbench.renderers.fx,org.eclipse.fx.ui.workbench.renderers.base",
+ org.eclipse.fx.ui.workbench.base.rendering;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.fx,org.eclipse.fx.ui.workbench.renderers.fx,org.eclipse.fx.ui.workbench.renderers.base"
Import-Package: javax.annotation;version="1.2.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.adapter;version="2.4.0",
- org.eclipse.fx.core.command;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.services;version="2.4.0",
- org.eclipse.fx.ui.services.restart;version="2.4.0",
- org.eclipse.fx.ui.services.startup;version="2.4.0",
- org.eclipse.fx.ui.services.sync;version="2.4.0",
- org.eclipse.fx.ui.workbench.services;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.adapter;version="3.0.0",
+ org.eclipse.fx.core.command;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.services;version="3.0.0",
+ org.eclipse.fx.ui.services.restart;version="3.0.0",
+ org.eclipse.fx.ui.services.startup;version="3.0.0",
+ org.eclipse.fx.ui.services.sync;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0"
Bundle-Activator: org.eclipse.fx.ui.workbench.base.internal.Activator
Bundle-ActivationPolicy: lazy
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.base/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench.base/pom.xml
index 64ec491e3..7ce5e1419 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.base/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.base/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.fx/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench.fx/META-INF/MANIFEST.MF
index f1fedd196..1025fe96d 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.fx/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.fx/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fx
Bundle-SymbolicName: org.eclipse.fx.ui.workbench.fx;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.core.di;bundle-version="1.1.0",
@@ -20,35 +20,35 @@ Require-Bundle: org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.core.di.extensions;bundle-version="0.12.0",
org.eclipse.fx.core
Import-Package: org.apache.commons.lang.text;version="2.6.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.databinding;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.function;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.osgi.util;version="2.4.0",
- org.eclipse.fx.ui.controls.dialog;version="2.4.0",
- org.eclipse.fx.ui.controls.stage;version="2.4.0",
- org.eclipse.fx.ui.dialogs;version="2.4.0",
- org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.keybindings.e4;version="2.4.0",
- org.eclipse.fx.ui.keybindings.service;version="2.4.0",
- org.eclipse.fx.ui.services;version="2.4.0",
- org.eclipse.fx.ui.services.commands;version="2.4.0",
- org.eclipse.fx.ui.services.dialog;version="2.4.0",
- org.eclipse.fx.ui.services.resources;version="2.4.0",
- org.eclipse.fx.ui.services.startup;version="2.4.0",
- org.eclipse.fx.ui.services.sync;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0",
- org.eclipse.fx.ui.workbench.base;version="2.4.0",
- org.eclipse.fx.ui.workbench.base.rendering;version="2.4.0",
- org.eclipse.fx.ui.workbench.renderers.base.widget;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.databinding;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.function;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.osgi.util;version="3.0.0",
+ org.eclipse.fx.ui.controls.dialog;version="3.0.0",
+ org.eclipse.fx.ui.controls.stage;version="3.0.0",
+ org.eclipse.fx.ui.dialogs;version="3.0.0",
+ org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.e4;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.service;version="3.0.0",
+ org.eclipse.fx.ui.services;version="3.0.0",
+ org.eclipse.fx.ui.services.commands;version="3.0.0",
+ org.eclipse.fx.ui.services.dialog;version="3.0.0",
+ org.eclipse.fx.ui.services.resources;version="3.0.0",
+ org.eclipse.fx.ui.services.startup;version="3.0.0",
+ org.eclipse.fx.ui.services.sync;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0",
+ org.eclipse.fx.ui.workbench.base;version="3.0.0",
+ org.eclipse.fx.ui.workbench.base.rendering;version="3.0.0",
+ org.eclipse.fx.ui.workbench.renderers.base.widget;version="3.0.0",
org.eclipse.osgi.service.environment;version="1.3.0",
org.osgi.framework;version="1.6.0",
org.osgi.service.component.annotations;version="1.2.0",
org.osgi.service.event;version="1.3.0"
-Export-Package: org.eclipse.fx.ui.workbench.fx;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.workbench.fx.key;version="2.4.0";x-internal:=true,
- org.eclipse.fx.ui.workbench.fx.perspective;version="2.4.0";x-internal:=true
+Export-Package: org.eclipse.fx.ui.workbench.fx;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.workbench.fx.key;version="3.0.0";x-internal:=true,
+ org.eclipse.fx.ui.workbench.fx.perspective;version="3.0.0";x-internal:=true
Bundle-ActivationPolicy: lazy
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.workbench.fx.internal.UISynchronizeImpl.xml,
OSGI-INF/services/org.eclipse.fx.ui.workbench.fx.key.FxKeyLookup.xml,
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.fx/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench.fx/pom.xml
index 811d1299c..54405737c 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.fx/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.fx/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/META-INF/MANIFEST.MF
index 19378e887..3880986f3 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Base
Bundle-SymbolicName: org.eclipse.fx.ui.workbench.renderers.base
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.0",
org.eclipse.e4.core.contexts;bundle-version="1.1.0",
org.eclipse.e4.core.services;bundle-version="1.0.0",
@@ -19,21 +19,21 @@ Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.0",
Import-Package: com.google.common.base;version="15.0.0",
javax.annotation;version="1.0.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.di;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.keybindings.e4;version="2.4.0",
- org.eclipse.fx.ui.workbench.base.rendering;version="2.4.0",
- org.eclipse.fx.ui.workbench.services;version="2.4.0",
- org.eclipse.fx.ui.workbench.services.lifecycle.annotation;version="2.4.0",
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.di;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.keybindings.e4;version="3.0.0",
+ org.eclipse.fx.ui.workbench.base.rendering;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services.lifecycle.annotation;version="3.0.0",
org.osgi.service.component.annotations;version="1.2.0";resolution:=optional,
org.osgi.service.event;version="1.3.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.fx.ui.workbench.renderers.base;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.workbench.renderers.base.addons;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.workbench.renderers.base.services;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
- org.eclipse.fx.ui.workbench.renderers.base.widget;version="2.4.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx"
+Export-Package: org.eclipse.fx.ui.workbench.renderers.base;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.workbench.renderers.base.addons;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.workbench.renderers.base.services;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx",
+ org.eclipse.fx.ui.workbench.renderers.base.widget;version="3.0.0";x-friends:="org.eclipse.fx.ui.workbench.renderers.fx"
Bundle-Vendor: Eclipse.org
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.workbench.renderers.base.internal.MaximizationServiceContextFunction.xml
Bundle-ActivationPolicy: lazy
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/pom.xml
index 66358e68f..acc9f4423 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.base/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/META-INF/MANIFEST.MF
index 5cb6b5a4f..450277f14 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fx
Bundle-SymbolicName: org.eclipse.fx.ui.workbench.renderers.fx
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="0.10.1",
org.eclipse.core.commands;bundle-version="3.6.0",
@@ -20,30 +20,30 @@ Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="0.10.1",
Import-Package: com.google.common.base;version="15.0.0",
javax.annotation;version="1.0.0";resolution:=optional,
javax.inject;version="1.0.0",
- org.eclipse.fx.core;version="2.4.0",
- org.eclipse.fx.core.log;version="2.4.0",
- org.eclipse.fx.ui.controls;version="2.4.0",
- org.eclipse.fx.ui.controls.dialog;version="2.4.0",
- org.eclipse.fx.ui.controls.dnd;version="2.4.0",
- org.eclipse.fx.ui.controls.markers;version="2.4.0",
- org.eclipse.fx.ui.controls.stage;version="2.4.0",
- org.eclipse.fx.ui.controls.tabpane;version="2.4.0",
- org.eclipse.fx.ui.di;version="2.4.0",
- org.eclipse.fx.ui.dialogs;version="2.4.0",
- org.eclipse.fx.ui.keybindings;version="2.4.0",
- org.eclipse.fx.ui.panes;version="2.4.0",
- org.eclipse.fx.ui.services;version="2.4.0",
- org.eclipse.fx.ui.services.dialog;version="2.4.0",
- org.eclipse.fx.ui.services.resources;version="2.4.0",
- org.eclipse.fx.ui.services.sync;version="2.4.0",
- org.eclipse.fx.ui.services.theme;version="2.4.0",
- org.eclipse.fx.ui.workbench.base.rendering;version="2.4.0",
- org.eclipse.fx.ui.workbench.fx;version="2.4.0",
- org.eclipse.fx.ui.workbench.fx.key;version="2.4.0",
- org.eclipse.fx.ui.workbench.renderers.base;version="2.4.0",
- org.eclipse.fx.ui.workbench.renderers.base.services;version="2.4.0",
- org.eclipse.fx.ui.workbench.renderers.base.widget;version="2.4.0",
- org.eclipse.fx.ui.workbench.services;version="2.4.0"
+ org.eclipse.fx.core;version="3.0.0",
+ org.eclipse.fx.core.log;version="3.0.0",
+ org.eclipse.fx.ui.controls;version="3.0.0",
+ org.eclipse.fx.ui.controls.dialog;version="3.0.0",
+ org.eclipse.fx.ui.controls.dnd;version="3.0.0",
+ org.eclipse.fx.ui.controls.markers;version="3.0.0",
+ org.eclipse.fx.ui.controls.stage;version="3.0.0",
+ org.eclipse.fx.ui.controls.tabpane;version="3.0.0",
+ org.eclipse.fx.ui.di;version="3.0.0",
+ org.eclipse.fx.ui.dialogs;version="3.0.0",
+ org.eclipse.fx.ui.keybindings;version="3.0.0",
+ org.eclipse.fx.ui.panes;version="3.0.0",
+ org.eclipse.fx.ui.services;version="3.0.0",
+ org.eclipse.fx.ui.services.dialog;version="3.0.0",
+ org.eclipse.fx.ui.services.resources;version="3.0.0",
+ org.eclipse.fx.ui.services.sync;version="3.0.0",
+ org.eclipse.fx.ui.services.theme;version="3.0.0",
+ org.eclipse.fx.ui.workbench.base.rendering;version="3.0.0",
+ org.eclipse.fx.ui.workbench.fx;version="3.0.0",
+ org.eclipse.fx.ui.workbench.fx.key;version="3.0.0",
+ org.eclipse.fx.ui.workbench.renderers.base;version="3.0.0",
+ org.eclipse.fx.ui.workbench.renderers.base.services;version="3.0.0",
+ org.eclipse.fx.ui.workbench.renderers.base.widget;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services;version="3.0.0"
Service-Component: OSGI-INF/services/org.eclipse.fx.ui.workbench.renderers.fx.internal.FXDialogServiceFunction.xml,
OSGI-INF/services/org.eclipse.fx.ui.workbench.renderers.fx.internal.DefaultDnDFeedback.xml,
OSGI-INF/services/org.eclipse.fx.ui.workbench.renderers.fx.internal.PartPopupMenuServiceFunction.xml
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/pom.xml
index 285167571..d062e1547 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.renderers.fx/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.services/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench.services/META-INF/MANIFEST.MF
index 5c2453a89..cdd70d9a5 100644
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.services/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.services/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Services
Bundle-SymbolicName: org.eclipse.fx.ui.workbench.services
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.0",
org.eclipse.jdt.annotation;bundle-version="2.0.0";resolution:=optional,
@@ -12,9 +12,9 @@ Require-Bundle: org.eclipse.e4.ui.model.workbench;bundle-version="1.1.0",
org.eclipse.e4.core.di;bundle-version="1.4.0",
org.eclipse.emf.common,
org.eclipse.emf.ecore;bundle-version="2.10.0"
-Export-Package: org.eclipse.fx.ui.workbench.services;version="2.4.0",
- org.eclipse.fx.ui.workbench.services.lifecycle;version="2.4.0",
- org.eclipse.fx.ui.workbench.services.lifecycle.annotation;version="2.4.0"
+Export-Package: org.eclipse.fx.ui.workbench.services;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services.lifecycle;version="3.0.0",
+ org.eclipse.fx.ui.workbench.services.lifecycle.annotation;version="3.0.0"
Import-Package: javax.annotation;version="1.2.0";resolution:=optional,
javax.inject;version="1.0.0",
org.osgi.service.component.annotations;version="1.2.0",
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench.services/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench.services/pom.xml
index 15bcf7a27..fcf635952 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench.services/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench.services/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench3/META-INF/MANIFEST.MF b/bundles/runtime/org.eclipse.fx.ui.workbench3/META-INF/MANIFEST.MF
index c381a21a6..0f70d9ea0 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench3/META-INF/MANIFEST.MF
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench3/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ui.workbench3
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Require-Bundle: org.eclipse.ui.workbench;bundle-version="3.7.0";visibility:=reexport,
org.eclipse.swt;bundle-version="3.7.0";visibility:=reexport,
diff --git a/bundles/runtime/org.eclipse.fx.ui.workbench3/pom.xml b/bundles/runtime/org.eclipse.fx.ui.workbench3/pom.xml
index 9c7c62016..d1856e28b 100755
--- a/bundles/runtime/org.eclipse.fx.ui.workbench3/pom.xml
+++ b/bundles/runtime/org.eclipse.fx.ui.workbench3/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.converter/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.converter/META-INF/MANIFEST.MF
index cfb255e1c..8b628ac22 100755
--- a/bundles/tooling/org.eclipse.fx.ide.converter/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.converter/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Converter
Bundle-SymbolicName: org.eclipse.fx.ide.converter;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.ui,
org.eclipse.core.resources;bundle-version="3.7.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.converter/pom.xml b/bundles/tooling/org.eclipse.fx.ide.converter/pom.xml
index 0e6747ca5..05929418d 100755
--- a/bundles/tooling/org.eclipse.fx.ide.converter/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.converter/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/META-INF/MANIFEST.MF
index ecf9610e6..1474a3598 100644
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Proposals
Bundle-SymbolicName: org.eclipse.fx.ide.css.cssext.proposals
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ui.controls;bundle-version="2.3.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/pom.xml
index 57cb74266..6359f0035 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.proposals/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.tests/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.cssext.tests/META-INF/MANIFEST.MF
index e41d7c588..dc2b89bed 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext.tests/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.css.cssext.tests
Bundle-Vendor: My Company
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css.cssext.tests;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.css.cssext;bundle-version="2.3.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui.debug/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui.debug/META-INF/MANIFEST.MF
new file mode 100755
index 000000000..2ec99b341
--- /dev/null
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui.debug/META-INF/MANIFEST.MF
@@ -0,0 +1,15 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Debug
+Bundle-SymbolicName: org.eclipse.fx.ide.css.cssext.ui.debug;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.eclipse.fx.core;bundle-version="0.1.1",
+ org.eclipse.fx.core.guice;bundle-version="0.1.1",
+ org.eclipse.zest.core;bundle-version="1.3.0",
+ org.eclipse.zest.layouts;bundle-version="1.1.0",
+ org.eclipse.fx.ide.css.cssext.ui;bundle-version="0.1.1",
+ org.eclipse.ui;bundle-version="3.8.0",
+ org.eclipse.fx.ide.css.ui;bundle-version="0.1.1",
+ org.eclipse.core.runtime;bundle-version="3.8.0",
+ org.eclipse.xtext.ui;bundle-version="2.3.0"
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/META-INF/MANIFEST.MF
index dc4da515e..9bfa0f4d2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.css.cssext.ui
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css.cssext.ui;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.css.cssext;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/pom.xml
index 602b42a50..7a1e2f12a 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.cssext/META-INF/MANIFEST.MF
index dfb5aaf55..971f6a4ce 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.css.cssext
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css.cssext; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.cssext/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.cssext/pom.xml
index 37e4aca83..a01ead3d2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.cssext/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.cssext/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.jfx2/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.jfx2/META-INF/MANIFEST.MF
index d6e009685..317dbc22e 100644
--- a/bundles/tooling/org.eclipse.fx.ide.css.jfx2/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.jfx2/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Jfx2
Bundle-SymbolicName: org.eclipse.fx.ide.css.jfx2
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Bundle-Vendor: Eclipse.org
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.jfx2/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.jfx2/pom.xml
index 0a1802e28..ac904afee 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.jfx2/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.jfx2/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.jfx8/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.jfx8/META-INF/MANIFEST.MF
index bdb842547..a1af927e7 100644
--- a/bundles/tooling/org.eclipse.fx.ide.css.jfx8/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.jfx8/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Jfx8
Bundle-SymbolicName: org.eclipse.fx.ide.css.jfx8
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Vendor: Eclipse.org
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.jfx8/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.jfx8/pom.xml
index 550bae6f5..7f7f8d4a8 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.jfx8/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.jfx8/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.tests/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.tests/META-INF/MANIFEST.MF
index 4625c16a4..3b0c67955 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.tests/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-Vendor: %Bundle-Vendor
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css.tests;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.css;bundle-version="2.3.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css.ui/META-INF/MANIFEST.MF
index f7879a42a..3a6e7534c 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-Vendor: %Bundle-Vendor
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css.ui;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.css;bundle-version="2.3.0";visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.css.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css.ui/pom.xml
index b49c140f8..635224239 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.css/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.css/META-INF/MANIFEST.MF
index 3e1a358c2..135cda417 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.css/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-Vendor: %Bundle-Vendor
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.css;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;bundle-version="2.0.0";visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.css/pom.xml b/bundles/tooling/org.eclipse.fx.ide.css/pom.xml
index 193d87dde..f8e36a324 100755
--- a/bundles/tooling/org.eclipse.fx.ide.css/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.css/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/META-INF/MANIFEST.MF
index 47b9406c2..389b799c9 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-Vendor: %Bundle-Vendor
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.fxgraph.ui; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.fxgraph;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/pom.xml
index d75dcac16..0cca3c171 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.fxgraph.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxgraph/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.fxgraph/META-INF/MANIFEST.MF
index 6f3f80d1c..260b33e34 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxgraph/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.fxgraph/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-Vendor: %Bundle-Vendor
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.fxgraph; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;bundle-version="2.6.0";visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxgraph/pom.xml b/bundles/tooling/org.eclipse.fx.ide.fxgraph/pom.xml
index 9f2de689e..04d21ca9c 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxgraph/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.fxgraph/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/META-INF/MANIFEST.MF
index 88454cfcd..7c8e23c89 100644
--- a/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Compiler
Bundle-SymbolicName: org.eclipse.fx.ide.fxml.compiler
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.xtend.lib,
com.google.guava,
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/pom.xml b/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/pom.xml
index ee73945fa..a88caa654 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.fxml.compiler/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxml/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.fxml/META-INF/MANIFEST.MF
index 3c1c1c2ee..557a67bcf 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxml/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.fxml/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Fxml
Bundle-SymbolicName: org.eclipse.fx.ide.fxml;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.fxml.Activator
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
diff --git a/bundles/tooling/org.eclipse.fx.ide.fxml/pom.xml b/bundles/tooling/org.eclipse.fx.ide.fxml/pom.xml
index 19772ea47..d32426857 100755
--- a/bundles/tooling/org.eclipse.fx.ide.fxml/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.fxml/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/META-INF/MANIFEST.MF
index b3616185b..7618354d8 100644
--- a/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: GModel Language UI
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.gmodel.ui; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.gmodel;bundle-version="2.3.0";visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/pom.xml
index f6c962420..7ec5fc485 100755
--- a/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.gmodel.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.gmodel/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.gmodel/META-INF/MANIFEST.MF
index 021d4f9c5..08ede8644 100644
--- a/bundles/tooling/org.eclipse.fx.ide.gmodel/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.gmodel/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: GModel DSL core
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.gmodel; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.gmodel/pom.xml b/bundles/tooling/org.eclipse.fx.ide.gmodel/pom.xml
index f76d78c6d..fbc480e44 100755
--- a/bundles/tooling/org.eclipse.fx.ide.gmodel/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.gmodel/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.java6/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.java6/META-INF/MANIFEST.MF
index 594f10105..ac71ec712 100755
--- a/bundles/tooling/org.eclipse.fx.ide.java6/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.java6/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: JavaFX Tooling Java Check
Bundle-SymbolicName: org.eclipse.fx.ide.java6;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Vendor: Eclipse.org
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ui;bundle-version="3.7.0"
diff --git a/bundles/tooling/org.eclipse.fx.ide.java6/pom.xml b/bundles/tooling/org.eclipse.fx.ide.java6/pom.xml
index dd9e94ab1..f533cbe29 100755
--- a/bundles/tooling/org.eclipse.fx.ide.java6/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.java6/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.jdt.core/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.jdt.core/META-INF/MANIFEST.MF
index e89294622..81a85fc04 100755
--- a/bundles/tooling/org.eclipse.fx.ide.jdt.core/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.jdt.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ide.jdt.core;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jdt.core;bundle-version="3.7.0",
org.eclipse.equinox.common;bundle-version="3.6.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.jdt.core/pom.xml b/bundles/tooling/org.eclipse.fx.ide.jdt.core/pom.xml
index 1564954af..d762987ee 100755
--- a/bundles/tooling/org.eclipse.fx.ide.jdt.core/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.jdt.core/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.jdt.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.jdt.ui/META-INF/MANIFEST.MF
index 7ccac090b..be372da70 100755
--- a/bundles/tooling/org.eclipse.fx.ide.jdt.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.jdt.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ide.jdt.ui;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.jdt.ui.internal.JavaFXUIPlugin
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
diff --git a/bundles/tooling/org.eclipse.fx.ide.jdt.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.jdt.ui/pom.xml
index b17493e65..9544deb6f 100755
--- a/bundles/tooling/org.eclipse.fx.ide.jdt.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.jdt.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.l10n.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.l10n.ui/META-INF/MANIFEST.MF
index 127cbb7a1..37f5d1625 100644
--- a/bundles/tooling/org.eclipse.fx.ide.l10n.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.l10n.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.l10n.ui
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.l10n.ui; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.l10n;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.l10n.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.l10n.ui/pom.xml
index ad6514b65..c90641439 100755
--- a/bundles/tooling/org.eclipse.fx.ide.l10n.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.l10n.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.l10n/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.l10n/META-INF/MANIFEST.MF
index 386e5f026..e60bb1c2d 100644
--- a/bundles/tooling/org.eclipse.fx.ide.l10n/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.l10n/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.l10n
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.l10n; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.l10n/pom.xml b/bundles/tooling/org.eclipse.fx.ide.l10n/pom.xml
index 973a31a36..5d199b10c 100755
--- a/bundles/tooling/org.eclipse.fx.ide.l10n/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.l10n/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.model/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.model/META-INF/MANIFEST.MF
index d81d5b906..dfceb435b 100755
--- a/bundles/tooling/org.eclipse.fx.ide.model/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.model/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Model
Bundle-SymbolicName: org.eclipse.fx.ide.model;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.model.FXPlugin
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.jdt.core;bundle-version="3.7.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.model/pom.xml b/bundles/tooling/org.eclipse.fx.ide.model/pom.xml
index 066f5fcba..c7a5e14de 100755
--- a/bundles/tooling/org.eclipse.fx.ide.model/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.model/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.core/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.pde.core/META-INF/MANIFEST.MF
index 04c306e9a..79d5c524d 100644
--- a/bundles/tooling/org.eclipse.fx.ide.pde.core/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Core
Bundle-SymbolicName: org.eclipse.fx.ide.pde.core;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.core.resources;bundle-version="3.9.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.core/pom.xml b/bundles/tooling/org.eclipse.fx.ide.pde.core/pom.xml
index 4a1bcb51e..2ff9034a2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.core/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.core/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.java7/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.pde.java7/META-INF/MANIFEST.MF
index 553eb268c..1b843cd46 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.java7/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.java7/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Java7
Bundle-SymbolicName: org.eclipse.fx.ide.pde.java7;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.jdt.core;bundle-version="3.7.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.java7/pom.xml b/bundles/tooling/org.eclipse.fx.ide.pde.java7/pom.xml
index 5f1788426..1ab59505f 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.java7/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.java7/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.3.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/META-INF/MANIFEST.MF
index 0277c17c0..86cdc14d5 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: E4 PDE
Bundle-SymbolicName: org.eclipse.fx.ide.pde.ui.e4;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.pde.ui.e4.Activator
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/pom.xml b/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/pom.xml
index d0d7b25b6..4729bf2b2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.ui.e4/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.pde.ui/META-INF/MANIFEST.MF
index 9aab9db96..bf3dbd9f2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ide.pde.ui;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.pde.ui;bundle-version="3.6.100",
org.eclipse.jface;bundle-version="3.7.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.pde.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.pde.ui/pom.xml
index 3a32bad9d..8a1345b9b 100755
--- a/bundles/tooling/org.eclipse.fx.ide.pde.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.pde.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.tests/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.tests/META-INF/MANIFEST.MF
index fe554b4ba..6a73e68a2 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.tests/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.rrobot.dsl.tests
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.rrobot.dsl.tests; singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.rrobot.dsl;bundle-version="2.3.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/META-INF/MANIFEST.MF
index ef30c21bc..90823712c 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: RRobot UI
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.rrobot.dsl.ui;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.fx.ide.rrobot.dsl;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/pom.xml
index 1d0d858e7..d69ad08f9 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/META-INF/MANIFEST.MF
index 77ccc8dbf..4a21f3c72 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: org.eclipse.fx.ide.rrobot.dsl
Bundle-Vendor: Eclipse.org
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-SymbolicName: org.eclipse.fx.ide.rrobot.dsl;singleton:=true
Bundle-ActivationPolicy: lazy
Require-Bundle: org.eclipse.xtext;visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/pom.xml b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/pom.xml
index 87c4fa313..be8075ad6 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.dsl/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.model/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.rrobot.model/META-INF/MANIFEST.MF
index 817206f2e..006a8c4b4 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.model/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.model/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.fx.ide.rrobot.model;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot.model/pom.xml b/bundles/tooling/org.eclipse.fx.ide.rrobot.model/pom.xml
index fb0fea886..e0c539d5e 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot.model/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot.model/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.rrobot/META-INF/MANIFEST.MF
index 9fef9a1fc..afd951633 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Rrobot
Bundle-SymbolicName: org.eclipse.fx.ide.rrobot
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.equinox.common;bundle-version="3.6.0",
org.eclipse.fx.ide.rrobot.model;bundle-version="2.3.0";visibility:=reexport,
diff --git a/bundles/tooling/org.eclipse.fx.ide.rrobot/pom.xml b/bundles/tooling/org.eclipse.fx.ide.rrobot/pom.xml
index 4ace3f203..7e60b2074 100755
--- a/bundles/tooling/org.eclipse.fx.ide.rrobot/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.rrobot/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/META-INF/MANIFEST.MF
index 79a8786e6..6b8d06326 100644
--- a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Device
Bundle-SymbolicName: org.eclipse.fx.ide.ui.mobile.sim.device
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Export-Package: org.eclipse.fx.ide.ui.mobile.sim.device;x-internal:=true,
org.eclipse.fx.ide.ui.mobile.sim.device.android.galaxyNote2;x-internal:=true,
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/pom.xml b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/pom.xml
index fe92bbdc5..e248251ad 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.device/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/META-INF/MANIFEST.MF
index 7652f157d..cf6d95a99 100644
--- a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Launch
Bundle-SymbolicName: org.eclipse.fx.ide.ui.mobile.sim.launch;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.eclipse.jdt.core;bundle-version="3.8.0",
org.eclipse.core.runtime;bundle-version="3.8.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/pom.xml b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/pom.xml
index 27d5ce9d8..54e954015 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.mobile.sim.launch/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.preview/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.ui.preview/META-INF/MANIFEST.MF
index d7e752311..3086e92d0 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui.preview/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.preview/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ide.ui.preview;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.ui.preview.bundle.Activator
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ui;bundle-version="3.7.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui.preview/pom.xml b/bundles/tooling/org.eclipse.fx.ide.ui.preview/pom.xml
index 659ade28a..80e7d97b6 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui.preview/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.ui.preview/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui/META-INF/MANIFEST.MF b/bundles/tooling/org.eclipse.fx.ide.ui/META-INF/MANIFEST.MF
index ef01485e1..933828afd 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui/META-INF/MANIFEST.MF
+++ b/bundles/tooling/org.eclipse.fx.ide.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.fx.ide.ui;singleton:=true
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-Activator: org.eclipse.fx.ide.ui.Activator
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.core.databinding;bundle-version="1.4.0",
diff --git a/bundles/tooling/org.eclipse.fx.ide.ui/pom.xml b/bundles/tooling/org.eclipse.fx.ide.ui/pom.xml
index f770c14a3..d3e0e1265 100755
--- a/bundles/tooling/org.eclipse.fx.ide.ui/pom.xml
+++ b/bundles/tooling/org.eclipse.fx.ide.ui/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../../releng/org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/releng/code/org.eclipse.fx.code.base.feature/pom.xml b/releng/code/org.eclipse.fx.code.base.feature/pom.xml
index 6d1baed92..656c8a49b 100644
--- a/releng/code/org.eclipse.fx.code.base.feature/pom.xml
+++ b/releng/code/org.eclipse.fx.code.base.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/code/org.eclipse.fx.code.langs.feature/pom.xml b/releng/code/org.eclipse.fx.code.langs.feature/pom.xml
index 3ec45f04b..b633c44db 100644
--- a/releng/code/org.eclipse.fx.code.langs.feature/pom.xml
+++ b/releng/code/org.eclipse.fx.code.langs.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/code/org.eclipse.fx.code.target.feature/pom.xml b/releng/code/org.eclipse.fx.code.target.feature/pom.xml
index bc00f4ffd..ebcda1f7b 100644
--- a/releng/code/org.eclipse.fx.code.target.feature/pom.xml
+++ b/releng/code/org.eclipse.fx.code.target.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/org.eclipse.fx.core.shared.updatesite/pom.xml b/releng/org.eclipse.fx.core.shared.updatesite/pom.xml
index 29734ef46..59f668920 100644
--- a/releng/org.eclipse.fx.core.shared.updatesite/pom.xml
+++ b/releng/org.eclipse.fx.core.shared.updatesite/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<properties>
diff --git a/releng/org.eclipse.fx.ide.releng/pom.xml b/releng/org.eclipse.fx.ide.releng/pom.xml
index ddd535fd4..b4221a0b1 100755
--- a/releng/org.eclipse.fx.ide.releng/pom.xml
+++ b/releng/org.eclipse.fx.ide.releng/pom.xml
@@ -11,7 +11,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>pom</packaging>
<properties>
<tycho-version>0.22.0</tycho-version>
diff --git a/releng/org.eclipse.fx.ide.updatesite/pom.xml b/releng/org.eclipse.fx.ide.updatesite/pom.xml
index 1345fa84c..495b14407 100644
--- a/releng/org.eclipse.fx.ide.updatesite/pom.xml
+++ b/releng/org.eclipse.fx.ide.updatesite/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<build>
diff --git a/releng/org.eclipse.fx.releng/pom.xml b/releng/org.eclipse.fx.releng/pom.xml
index 118ffb4ef..a067ac2d6 100755
--- a/releng/org.eclipse.fx.releng/pom.xml
+++ b/releng/org.eclipse.fx.releng/pom.xml
@@ -11,7 +11,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>pom</packaging>
<properties>
<tycho-version>0.23.1</tycho-version>
diff --git a/releng/org.eclipse.fx.runtime.doc/META-INF/MANIFEST.MF b/releng/org.eclipse.fx.runtime.doc/META-INF/MANIFEST.MF
index c3af669dd..ca19dd423 100644
--- a/releng/org.eclipse.fx.runtime.doc/META-INF/MANIFEST.MF
+++ b/releng/org.eclipse.fx.runtime.doc/META-INF/MANIFEST.MF
@@ -2,5 +2,5 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Doc
Bundle-SymbolicName: org.eclipse.fx.runtime.doc
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/releng/org.eclipse.fx.runtime.doc/pom.xml b/releng/org.eclipse.fx.runtime.doc/pom.xml
index 92fe7ff7e..048a02c7a 100755
--- a/releng/org.eclipse.fx.runtime.doc/pom.xml
+++ b/releng/org.eclipse.fx.runtime.doc/pom.xml
@@ -10,14 +10,14 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<dependencies>
<dependency>
<groupId>org.eclipse.fx.runtime</groupId>
<artifactId>org.eclipse.fx.runtime.feature</artifactId>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</dependency>
</dependencies>
diff --git a/releng/org.eclipse.fx.shared.doc/META-INF/MANIFEST.MF b/releng/org.eclipse.fx.shared.doc/META-INF/MANIFEST.MF
index 2d302a7ae..1676e80d3 100644
--- a/releng/org.eclipse.fx.shared.doc/META-INF/MANIFEST.MF
+++ b/releng/org.eclipse.fx.shared.doc/META-INF/MANIFEST.MF
@@ -2,5 +2,5 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Doc
Bundle-SymbolicName: org.eclipse.fx.shared.doc
-Bundle-Version: 2.4.0.qualifier
+Bundle-Version: 3.0.0.qualifier
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/releng/org.eclipse.fx.shared.doc/pom.xml b/releng/org.eclipse.fx.shared.doc/pom.xml
index 12cac9c68..3e16f8a65 100755
--- a/releng/org.eclipse.fx.shared.doc/pom.xml
+++ b/releng/org.eclipse.fx.shared.doc/pom.xml
@@ -10,14 +10,14 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<dependencies>
<dependency>
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>org.eclipse.fx.core.shared.feature</artifactId>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</dependency>
</dependencies>
diff --git a/releng/org.eclipse.fx.shared.releng/pom.xml b/releng/org.eclipse.fx.shared.releng/pom.xml
index 5868c7744..41e83adea 100755
--- a/releng/org.eclipse.fx.shared.releng/pom.xml
+++ b/releng/org.eclipse.fx.shared.releng/pom.xml
@@ -11,9 +11,10 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
<packaging>pom</packaging>
<properties>
+ <!-- KEEP VERSION 0.22.0 other one will fail on hudson -->
<tycho-version>0.22.0</tycho-version>
<tycho-extras.version>0.22.0</tycho-extras.version>
<cbi-plugins.version>1.1.2-SNAPSHOT</cbi-plugins.version>
diff --git a/releng/org.eclipse.fx.updatesite/pom.xml b/releng/org.eclipse.fx.updatesite/pom.xml
index eec75243d..64b4484ea 100644
--- a/releng/org.eclipse.fx.updatesite/pom.xml
+++ b/releng/org.eclipse.fx.updatesite/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
<properties>
diff --git a/releng/runtime/org.eclipse.fx..slf4j.target.feature/pom.xml b/releng/runtime/org.eclipse.fx..slf4j.target.feature/pom.xml
index ddaf5458e..5a984cacd 100644
--- a/releng/runtime/org.eclipse.fx..slf4j.target.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx..slf4j.target.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.core.feature/pom.xml b/releng/runtime/org.eclipse.fx.core.feature/pom.xml
index 044f63b0c..135a81246 100644
--- a/releng/runtime/org.eclipse.fx.core.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.core.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.core.shared.feature/pom.xml b/releng/runtime/org.eclipse.fx.core.shared.feature/pom.xml
index 13a2d88dd..79cccfa1e 100644
--- a/releng/runtime/org.eclipse.fx.core.shared.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.core.shared.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.runtime.e4fx.feature/pom.xml b/releng/runtime/org.eclipse.fx.runtime.e4fx.feature/pom.xml
index eb2a0a778..ec7950b1e 100644
--- a/releng/runtime/org.eclipse.fx.runtime.e4fx.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.runtime.e4fx.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.runtime.e4fx.p2.feature/pom.xml b/releng/runtime/org.eclipse.fx.runtime.e4fx.p2.feature/pom.xml
index 20e80f136..37809504a 100644
--- a/releng/runtime/org.eclipse.fx.runtime.e4fx.p2.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.runtime.e4fx.p2.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.runtime.feature/pom.xml b/releng/runtime/org.eclipse.fx.runtime.feature/pom.xml
index 334922ac8..f8faefe74 100644
--- a/releng/runtime/org.eclipse.fx.runtime.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.runtime.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.runtime.min.feature/pom.xml b/releng/runtime/org.eclipse.fx.runtime.min.feature/pom.xml
index 5b84b1645..937548ae7 100644
--- a/releng/runtime/org.eclipse.fx.runtime.min.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.runtime.min.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.shared</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.shared.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.swtfx.feature/pom.xml b/releng/runtime/org.eclipse.fx.swtfx.feature/pom.xml
index aafd34502..de1574699 100644
--- a/releng/runtime/org.eclipse.fx.swtfx.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.swtfx.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.experimental</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.experimental.releng/pom.xml</relativePath>
- <version>2.3.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project>
diff --git a/releng/runtime/org.eclipse.fx.target.feature/pom.xml b/releng/runtime/org.eclipse.fx.target.feature/pom.xml
index fdc001b03..3396a2867 100644
--- a/releng/runtime/org.eclipse.fx.target.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.target.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.target.rcp.feature/pom.xml b/releng/runtime/org.eclipse.fx.target.rcp.feature/pom.xml
index 68222c791..fae5fce5a 100644
--- a/releng/runtime/org.eclipse.fx.target.rcp.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.target.rcp.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/runtime/org.eclipse.fx.target.rcp4.feature/pom.xml b/releng/runtime/org.eclipse.fx.target.rcp4.feature/pom.xml
index b78bb9a56..eac7ad8ce 100644
--- a/releng/runtime/org.eclipse.fx.target.rcp4.feature/pom.xml
+++ b/releng/runtime/org.eclipse.fx.target.rcp4.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.basic.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.basic.feature/pom.xml
index 9dbbf4487..83f44ceb8 100644
--- a/releng/tooling/org.eclipse.fx.ide.basic.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.basic.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.converter.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.converter.feature/pom.xml
index 69bfcfb2e..748632b5d 100644
--- a/releng/tooling/org.eclipse.fx.ide.converter.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.converter.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.css.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.css.feature/pom.xml
index bc1a40928..1dc139976 100644
--- a/releng/tooling/org.eclipse.fx.ide.css.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.css.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.feature/pom.xml
index 20c814d6c..068feb804 100644
--- a/releng/tooling/org.eclipse.fx.ide.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project>
diff --git a/releng/tooling/org.eclipse.fx.ide.fxgraph.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.fxgraph.feature/pom.xml
index 49c2b1b05..4df89dd9a 100644
--- a/releng/tooling/org.eclipse.fx.ide.fxgraph.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.fxgraph.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.fxml.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.fxml.feature/pom.xml
index e4e601241..1e8c06353 100644
--- a/releng/tooling/org.eclipse.fx.ide.fxml.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.fxml.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.gmod.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.gmod.feature/pom.xml
index e2d7d047c..1d2831fa2 100644
--- a/releng/tooling/org.eclipse.fx.ide.gmod.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.gmod.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.l10n.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.l10n.feature/pom.xml
index 52c866ff1..1a318e3f6 100644
--- a/releng/tooling/org.eclipse.fx.ide.l10n.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.l10n.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.ldef.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.ldef.feature/pom.xml
index 6644079e5..ef7776d2a 100644
--- a/releng/tooling/org.eclipse.fx.ide.ldef.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.ldef.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.mobile.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.mobile.feature/pom.xml
index ff79cd3d3..aaa56945d 100644
--- a/releng/tooling/org.eclipse.fx.ide.mobile.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.mobile.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.pde.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.pde.feature/pom.xml
index 28e2ba6c5..2fef6cc22 100644
--- a/releng/tooling/org.eclipse.fx.ide.pde.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.pde.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file
diff --git a/releng/tooling/org.eclipse.fx.ide.rrobot.feature/pom.xml b/releng/tooling/org.eclipse.fx.ide.rrobot.feature/pom.xml
index f78e9cf2e..c61e6a84b 100644
--- a/releng/tooling/org.eclipse.fx.ide.rrobot.feature/pom.xml
+++ b/releng/tooling/org.eclipse.fx.ide.rrobot.feature/pom.xml
@@ -10,7 +10,7 @@
<groupId>org.eclipse.fx.ide</groupId>
<artifactId>releng</artifactId>
<relativePath>../../org.eclipse.fx.ide.releng/pom.xml</relativePath>
- <version>2.4.0-SNAPSHOT</version>
+ <version>3.0.0-SNAPSHOT</version>
</parent>
</project> \ No newline at end of file

Back to the top